-- ********************************************************************
-- (C) Copyright IBM Corp.  2005-2006
-- The source code for this program is not published or otherwise
-- divested of its trade secrets, irrespective of what has been
-- deposited with the U.S. Copyright Office.
-- ********************************************************************



UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.6.2.208', DESCRIPTION = '6.6.2.208'
WHERE ELEMENT_ID = 'CLIENT_BUILD_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.6.2.138'
WHERE ELEMENT_ID = 'SERVER_BUILD_NUMBER';  

UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.2.2.3'
WHERE ELEMENT_ID = 'CLIENT_VERSION_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.2.2.3'
WHERE ELEMENT_ID = 'APPLICATION_VERSION'; 



CREATE INDEX TKDYR_PTDY_XX ON TASK_DAY_OF_YEAR(PROJECT_ID ASC, TASK_ID ASC, DAY_YEAR ASC);


ALTER TABLE EXTERNAL_ACTION_MONITOR ADD COLUMN WORKFLOW_ID CHAR(32);
ALTER TABLE EXTERNAL_ACTION_MONITOR ADD COLUMN FOREIGN_ID CHAR(32);
ALTER TABLE EXTERNAL_ACTION_MONITOR ADD COLUMN FOREIGN_TABLE_TYPE SMALLINT DEFAULT 0;
ALTER TABLE EXTERNAL_ACTION_MONITOR ADD COLUMN REC_USER CHAR(32);



UPDATE TMT_WBS
SET TYPE_ID = 314
WHERE TYPE_ID = 313 AND
ELEMENT_ID IN
(SELECT W.ELEMENT_ID
FROM TMT_WBS W,TMT_WBS W2
WHERE W.RANK LIKE '/PL#%' 
AND (W.TYPE_ID = 313 ) AND
W.POOL_ID <> W.ELEMENT_ID AND
W.POOL_ID = W2.ELEMENT_ID AND
W2.POOL_ID = W2.ELEMENT_ID AND
SUBSTR(W.RANK,1,LENGTH(W.RANK) - 12)<>SUBSTR(W2.RANK,1,LENGTH(W2.RANK) - 8));



UPDATE TMT_WBS
SET TYPE_ID = 314
WHERE TYPE_ID = 313 AND
ELEMENT_ID IN
(SELECT W1.ELEMENT_ID
FROM TMT_WBS W1,TMT_WBS W2
WHERE W1.TYPE_ID = 313 AND
(W1.RANK <> W2.RANK) AND
(W1.POOL_ID = W2.POOL_ID) AND
(SUBSTR(W1.RANK,1,LENGTH(W1.RANK)-4) = SUBSTR(W2.RANK,1,LENGTH(W2.RANK)-4)) 
AND W1.RANK NOT IN
(SELECT MAX(W3.RANK)
FROM TMT_WBS W3,TMT_WBS W4
WHERE W3.POOL_ID = W1.POOL_ID AND
W3.TYPE_ID IN ( 313,314) AND
(W3.RANK <> W4.RANK) AND
(W3.POOL_ID = W4.POOL_ID) AND
(SUBSTR(W3.RANK,1,LENGTH(W3.RANK)-4) = SUBSTR(W4.RANK,1,LENGTH(W4.RANK)-4)) ));



UPDATE PROJECT_DETAILS
SET ATTACHMENT_VIEW_BITS = 126
WHERE PROJECT_ID ='D8E753BDA8A94591B9D239EE4A266E43';



UPDATE PROJECT_DETAILS
SET ATTACHMENT_VIEW_BITS = 126
WHERE PROJECT_ID ='E6794110E05740FF9A135F252503CC2A';


UPDATE PROJECT_DETAILS
SET ATTACHMENT_VIEW_BITS = 126
WHERE PROJECT_ID ='1024FAADB0F740708093191BCB77A7DA';

ALTER TABLE TMT_WORKFLOW_CYCLES ALTER COLUMN ELEMENT_NAME SET DATA TYPE VARCHAR(100);

ALTER TABLE TMT_WORKFLOWS ALTER COLUMN ELEMENT_NAME SET DATA TYPE VARCHAR(100);
