
/********************************************************************
# (C) Copyright IBM Corp.  2005-2006
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#********************************************************************/

CREATE OR REPLACE PACKAGE "LFILE" AS

   TEMP_DIRECTORY CONSTANT VARCHAR(256) := 'C:\temp';
   TRACE_EXTENSION CONSTANT VARCHAR(16) := '.txt';

   FUNCTION fopen(fileName VARCHAR2, filemode VARCHAR2 := 'a') RETURN UTL_FILE.FILE_TYPE;
   PROCEDURE fwrite(fileHandle IN OUT UTL_FILE.FILE_TYPE, outputStr VARCHAR2);
   PROCEDURE fclose(fileHandle IN OUT UTL_FILE.FILE_TYPE);
   PROCEDURE fput(fileName VARCHAR2, buffer VARCHAR2);
   PROCEDURE fput_params(fileName VARCHAR2, linesBefore PLS_INTEGER, headerLine VARCHAR2, buffer VARCHAR2);
END;
/
