
--/********************************************************************
--# (C) Copyright IBM Corp.  2005-2006
--# The source code for this program is not published or otherwise
--# divested of its trade secrets, irrespective of what has been
--# deposited with the U.S. Copyright Office.
--#********************************************************************/

prompt Enter start date in YYYY-MM-DD format (ex: 2003-10-31) and start time in HH24:MI:SS format (ex: 23:30:15)
define run_date=&START_DATE
define run_time=&START_TIME

-- **************************************************************
-- TSKROLLUP_EV
-- **************************************************************
CREATE OR REPLACE PROCEDURE TSKROLLUP_EV
( instr VARCHAR2    , innum PLS_INTEGER
)
AS
presultset PMO_DB2M.REF_CURSOR;
BEGIN
    set_dateformat;
    presultset := SP_ROLLUP_EV(NULL,0);
    --insert into test_rollup_ev(mydate,mytime,mystr) values(sysdate,systimestamp,'TSKROLLUP_EV is called');
    commit;
END;
/

-- *******************************************************************
--
-- *******************************************************************
DECLARE
tskno number;
instno number;
cursor curtask is select job from user_jobs where what like 'TSKROLLUP_EV%';
BEGIN
  for rectask in curtask loop
	dbms_job.remove(rectask.job);
  end loop;
  select instance_number into instno from v$instance;
  dbms_job.submit(tskno, 'TSKROLLUP_EV(NULL,0);', to_date('&run_date &run_time','YYYY-MM-DD HH24:MI:SS'),'sysdate+1', TRUE,instno);
  --Var MoiNgay1Lan: trunc(sysdate+1,'DD'),'trunc(sysdate+1,''DD'')'
  commit;
END;
/
