
--/********************************************************************
--# (C) Copyright IBM Corp.  2005-2006
--# The source code for this program is not published or otherwise
--# divested of its trade secrets, irrespective of what has been
--# deposited with the U.S. Copyright Office.
--#********************************************************************/

DECLARE
cursor curcode is select 'DROP '||object_type|| ' '||object_name as COMMAND
	from user_objects 
	where object_type ='INDEX' and generated = 'N'; 
BEGIN
    for coderec in curcode loop
        begin
    		execute immediate coderec.command;    	
    	exception 
    		when others then null; 
    	end;
    end loop;      
    commit;
END;
/
