
--/********************************************************************
--# (C) Copyright IBM Corp.  2005-2006
--# The source code for this program is not published or otherwise
--# divested of its trade secrets, irrespective of what has been
--# deposited with the U.S. Copyright Office.
--#********************************************************************/

DROP INDEX PJASG_PJRID_XX;
CREATE  INDEX PJASG_PJRID_XX ON PROJECT_ASSIGNMENTS (PROJECT_ID ASC,RESOURCE_ID ASC) ;
DROP INDEX PJASG_RPJID_CX;
CREATE  INDEX PJASG_RPJID_CX ON PROJECT_ASSIGNMENTS (RESOURCE_ID ASC,PROJECT_ID ASC)  PCTFREE = 30;
DROP INDEX TPRTF_ENID_XU;
CREATE UNIQUE INDEX TPRTF_ENID_XU ON TMT_PORTFOLIOS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TPRTF_NID_XX;
CREATE  INDEX TPRTF_NID_XX ON TMT_PORTFOLIOS (PARENT_ID ASC) ;
DROP INDEX TPRTF_RK_CU;
CREATE UNIQUE INDEX TPRTF_RK_CU ON TMT_PORTFOLIOS (RANK ASC)  PCTFREE = 30;
DROP INDEX TGLSC_ENID_XU;
CREATE UNIQUE INDEX TGLSC_ENID_XU ON TMT_GLOBAL_SECURITY (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TGLSC_RK_CU;
CREATE UNIQUE INDEX TGLSC_RK_CU ON TMT_GLOBAL_SECURITY (RANK ASC)  PCTFREE = 30;
DROP INDEX TGLOSEC_NID_XX;
CREATE  INDEX TGLOSEC_NID_XX ON TMT_GLOBAL_SECURITY (PARENT_ID)  PCTFREE = 30;
DROP INDEX CLDYR_EID_DY_CU;
CREATE UNIQUE INDEX CLDYR_EID_DY_CU ON CALENDAR_DAY_OF_YEAR (ELEMENT_ID ASC,DAY_YEAR ASC)  PCTFREE = 30;
DROP INDEX CLDEX_CLR_CX;
CREATE  INDEX CLDEX_CLR_CX ON CALENDAR_EXCEPTIONS (CALENDAR_RANK ASC)  PCTFREE = 30;
DROP INDEX CLDEX_LID_ED_XU;
CREATE UNIQUE INDEX CLDEX_LID_ED_XU ON CALENDAR_EXCEPTIONS (CALENDAR_ID ASC,EXCEPTION_DATE ASC)  PCTFREE = 30;
DROP INDEX CLDEX_XID_XX;
CREATE  INDEX CLDEX_XID_XX ON CALENDAR_EXCEPTIONS (EXCEPTION_ID ASC) ;
DROP INDEX RSRCS_FD_XX;
CREATE  INDEX RSRCS_FD_XX ON RESOURCES (FS_CODE ASC) ;
DROP INDEX RSRCS_LGN_PSW_XX;
CREATE  INDEX RSRCS_LGN_PSW_XX ON RESOURCES (LOGON_NAME ASC,LOGON_PASSWORD ASC)  PCTFREE = 30;
DROP INDEX RSRCS_RID_XU;
CREATE UNIQUE INDEX RSRCS_RID_XU ON RESOURCES (RESOURCE_ID ASC)  PCTFREE = 30;
DROP INDEX HSRSC_HID_XX;
CREATE  INDEX HSRSC_HID_XX ON HISTORY_RESOURCES (HISTORY_ID ASC) ;
DROP INDEX HSRSC_RID_RDT_XX;
CREATE  INDEX HSRSC_RID_RDT_XX ON HISTORY_RESOURCES (RESOURCE_ID ASC,REC_DATETIME DESC) ;
DROP INDEX TWBSX_EID_XU;
CREATE UNIQUE INDEX TWBSX_EID_XU ON TMT_WBS (ELEMENT_ID ASC) ;
DROP INDEX TWBSX_FC_XX;
CREATE  INDEX TWBSX_FC_XX ON TMT_WBS (FS_CODE ASC) ;
DROP INDEX TWBSX_NID_XX;
CREATE  INDEX TWBSX_NID_XX ON TMT_WBS (PARENT_ID ASC) ;
DROP INDEX TWBSX_PJID_XX;
CREATE  INDEX TWBSX_PJID_XX ON TMT_WBS (PROJECT_ID ASC,ELEMENT_ID ASC) ;
DROP INDEX TWBSX_RK_CU;
CREATE UNIQUE INDEX TWBSX_RK_CU ON TMT_WBS (RANK ASC)  PCTFREE = 30;
DROP INDEX TWBSX_TPID_XX;
CREATE  INDEX TWBSX_TPID_XX ON TMT_WBS (T_PARENT_ID ASC) ;
DROP INDEX TWBSX_LV_XXXX;
CREATE  INDEX TWBSX_LV_XXXX ON TMT_WBS (PROJECT_ID,LEVEL_STATE ASC) ;
DROP INDEX WBS_POOLID;
CREATE  INDEX WBS_POOLID ON TMT_WBS (POOL_ID ASC,PROJECT_ID ASC,ELEMENT_ID ASC) ;
DROP INDEX TWBSX_STG_XX;
CREATE  INDEX TWBSX_STG_XX ON TMT_WBS (PROJECT_ID ASC,STAGE_ID ASC) ;
DROP INDEX HSWBS_EID_RDT_CX;
CREATE  INDEX HSWBS_EID_RDT_CX ON HISTORY_WBS (ELEMENT_ID ASC,REC_DATETIME ASC)  PCTFREE = 30;
DROP INDEX HSWBS_HID_XX;
CREATE  INDEX HSWBS_HID_XX ON HISTORY_WBS (HISTORY_ID ASC) ;
DROP INDEX HSWBS_RK_XX;
CREATE  INDEX HSWBS_RK_XX ON HISTORY_WBS (RANK ASC)  PCTFREE = 30;
DROP INDEX RSASG_PJRTRPT_XX;
CREATE  INDEX RSASG_PJRTRPT_XX ON RESOURCE_ASSIGNMENTS (PROJECT_ID ASC,RESOURCE_ID ASC,RESOURCE_TYPE ASC,PARTICIPANT ASC) ;
DROP INDEX RSAS_EID_RT_RID_CX;
CREATE  INDEX RSAS_EID_RT_RID_CX ON RESOURCE_ASSIGNMENTS (ELEMENT_ID ASC,RESOURCE_ID ASC,RESOURCE_TYPE ASC,PARTICIPANT ASC)  PCTFREE = 30;
DROP INDEX RSAS_RAID_ET_XU;
CREATE UNIQUE INDEX RSAS_RAID_ET_XU ON RESOURCE_ASSIGNMENTS (RES_ASSIGNMENT_ID ASC) ;
DROP INDEX RA_RID_ETYPE;
CREATE  INDEX RA_RID_ETYPE ON RESOURCE_ASSIGNMENTS (RESOURCE_ID,ELEMENT_TYPE ASC)  PCTFREE = 30;
DROP INDEX RA_PJRTPRF;
CREATE  INDEX RA_PJRTPRF ON RESOURCE_ASSIGNMENTS (PROJECT_ID ASC,RESOURCE_TYPE ASC,PROFILE_ID ASC) ;
DROP INDEX RSASR_GRLID_XU;
CREATE UNIQUE INDEX RSASR_GRLID_XU ON RESOURCE_ASSIGN_ROLES (RES_ASSIGNMENT_ID ASC,ROLE_ID ASC)  PCTFREE = 30;
DROP INDEX RSASK_RLID;
CREATE  INDEX RSASK_RLID ON RESOURCE_ASSIGN_ROLES (ROLE_ID ASC)  PCTFREE = 30;
DROP INDEX RSASK_GKID_XU;
CREATE UNIQUE INDEX RSASK_GKID_XU ON RESOURCE_ASSIGN_SKILLS (RES_ASSIGNMENT_ID ASC,SKILL_ID ASC)  PCTFREE = 30;
DROP INDEX RSASK_SKID;
CREATE  INDEX RSASK_SKID ON RESOURCE_ASSIGN_SKILLS (SKILL_ID ASC) ;
DROP INDEX RSEDU_EDID_XU;
CREATE UNIQUE INDEX RSEDU_EDID_XU ON RESOURCE_EDUCATION (EDUCATION_ID ASC) ;
DROP INDEX RSEDU_RID_CX;
CREATE  INDEX RSEDU_RID_CX ON RESOURCE_EDUCATION (RESOURCE_ID ASC)  PCTFREE = 30;
DROP INDEX RSEMH_EMID_XU;
CREATE UNIQUE INDEX RSEMH_EMID_XU ON RESOURCE_EMPLOYMENT_HISTORY (EMPLOYMENT_ID ASC) ;
DROP INDEX RSEMH_RID_CX;
CREATE  INDEX RSEMH_RID_CX ON RESOURCE_EMPLOYMENT_HISTORY (RESOURCE_ID ASC)  PCTFREE = 30;
DROP INDEX RINEX_EXID_XU;
CREATE UNIQUE INDEX RINEX_EXID_XU ON RESOURCE_INDUSTRY_EXPERIENCE (EXPERIENCE_ID ASC) ;
DROP INDEX RINEX_RID_CX;
CREATE  INDEX RINEX_RID_CX ON RESOURCE_INDUSTRY_EXPERIENCE (RESOURCE_ID ASC)  PCTFREE = 30;
DROP INDEX RSRDN_RDID_XU;
CREATE UNIQUE INDEX RSRDN_RDID_XU ON RESOURCE_READINESS (READINESS_ID ASC) ;
DROP INDEX RSRDN_RID_CX;
CREATE  INDEX RSRDN_RID_CX ON RESOURCE_READINESS (RESOURCE_ID ASC)  PCTFREE = 30;
DROP INDEX TKASG_GID_XX;
CREATE  INDEX TKASG_GID_XX ON TASK_ASSIGNMENTS (RES_ASSIGNMENT_ID ASC) ;
DROP INDEX TKASG_OID_BF_XX;
CREATE  INDEX TKASG_OID_BF_XX ON TASK_ASSIGNMENTS (PROJECT_ASSIGNMENT_ID ASC,BIT_FLAG ASC) ;
DROP INDEX TKASG_PJRID_CX;
CREATE  INDEX TKASG_PJRID_CX ON TASK_ASSIGNMENTS (PROJECT_ID ASC,RESOURCE_ID ASC,BIT_FLAG ASC)  PCTFREE = 30;
DROP INDEX TKASG_PJTRID_BF_CX;
CREATE  INDEX TKASG_PJTRID_BF_CX ON TASK_ASSIGNMENTS (PROJECT_ID ASC,TASK_ID ASC,RESOURCE_ID ASC,BIT_FLAG ASC)  PCTFREE = 30;
DROP INDEX TKASG_RID_XX;
CREATE  INDEX TKASG_RID_XX ON TASK_ASSIGNMENTS (RESOURCE_ID ASC) ;
DROP INDEX TKASG_TAID_XX;
CREATE UNIQUE INDEX TKASG_TAID_XX ON TASK_ASSIGNMENTS (TSK_ASSIGNMENT_ID ASC) ;
DROP INDEX TKASG_TRID_RT_XX;
CREATE  INDEX TKASG_TRID_RT_XX ON TASK_ASSIGNMENTS (TASK_ID ASC,RESOURCE_ID ASC,RESOURCE_TYPE ASC) ;
DROP INDEX TKDYR_PJNID_BF_XX;
CREATE  INDEX TKDYR_PJNID_BF_XX ON TASK_DAY_OF_YEAR (PROJECT_ID ASC,PARENT_ID ASC,BIT_FLAG ASC) ;
DROP INDEX TKDYR_PJNID_DY_XX;
CREATE  INDEX TKDYR_PJNID_DY_XX ON TASK_DAY_OF_YEAR (PROJECT_ID ASC,PARENT_ID ASC,DAY_YEAR ASC) ;
DROP INDEX TKDYR_PJTAID_DY_CU;
CREATE UNIQUE INDEX TKDYR_PJTAID_DY_CU ON TASK_DAY_OF_YEAR (PROJECT_ID ASC,TSK_ASSIGNMENT_ID ASC,DAY_YEAR ASC)  PCTFREE = 30;
DROP INDEX TKDYR_PRID_DYBF_XX;
CREATE  INDEX TKDYR_PRID_DYBF_XX ON TASK_DAY_OF_YEAR (PROJECT_ID ASC,RESOURCE_ID ASC,DAY_YEAR ASC,BIT_FLAG ASC) ;
DROP INDEX TKDYR_RID_BF_XX;
CREATE  INDEX TKDYR_RID_BF_XX ON TASK_DAY_OF_YEAR (RESOURCE_ID ASC,BIT_FLAG ASC,DAY_YEAR ASC) ;
DROP INDEX TKDYR_PTDY_XX;
CREATE  INDEX TKDYR_PTDY_XX ON TASK_DAY_OF_YEAR (PROJECT_ID ASC,TASK_ID ASC,DAY_YEAR ASC) ;
DROP INDEX CSTAPR_RID_XU;
CREATE UNIQUE INDEX CSTAPR_RID_XU ON COST_APPROVAL (RESOURCE_ID ASC) ;
DROP INDEX TCLND_ENID_XU;
CREATE UNIQUE INDEX TCLND_ENID_XU ON TMT_CALENDARS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TCLND_RK_CU;
CREATE UNIQUE INDEX TCLND_RK_CU ON TMT_CALENDARS (RANK ASC)  PCTFREE = 30;
DROP INDEX TCALRS_NID_XX;
CREATE  INDEX TCALRS_NID_XX ON TMT_CALENDARS (PARENT_ID)  PCTFREE = 30;
DROP INDEX H_ENID;
CREATE UNIQUE INDEX H_ENID ON HISTORY_CALENDARS (ELEMENT_ID ASC,START_DATE ASC) ;
DROP INDEX TCHCD_ENID_XU;
CREATE UNIQUE INDEX TCHCD_ENID_XU ON TMT_CHARGECODES (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TCHCD_RK_CU;
CREATE UNIQUE INDEX TCHCD_RK_CU ON TMT_CHARGECODES (RANK ASC)  PCTFREE = 30;
DROP INDEX TCHCD_ACCC_CU;
CREATE  INDEX TCHCD_ACCC_CU ON TMT_CHARGECODES (ASSOCIATE_CHARGECODE_ID ASC) ;
DROP INDEX TCHAODE_NID_XX;
CREATE  INDEX TCHAODE_NID_XX ON TMT_CHARGECODES (PARENT_ID)  PCTFREE = 30;
DROP INDEX TCNTC_ENID_XU;
CREATE UNIQUE INDEX TCNTC_ENID_XU ON TMT_CONTACTS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TCNTC_RK_CU;
CREATE UNIQUE INDEX TCNTC_RK_CU ON TMT_CONTACTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TCONS_NID_XX;
CREATE  INDEX TCONS_NID_XX ON TMT_CONTACTS (PARENT_ID)  PCTFREE = 30;
DROP INDEX TCMPT_ENID_XU;
CREATE UNIQUE INDEX TCMPT_ENID_XU ON TMT_COMPETENCIES (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TCMPT_RID_XX;
CREATE  INDEX TCMPT_RID_XX ON TMT_COMPETENCIES (RESOURCE_ID ASC) ;
DROP INDEX TCMPT_RK_CU;
CREATE UNIQUE INDEX TCMPT_RK_CU ON TMT_COMPETENCIES (RANK ASC)  PCTFREE = 30;
DROP INDEX TCOMNCI_NID_XX;
CREATE  INDEX TCOMNCI_NID_XX ON TMT_COMPETENCIES (PARENT_ID)  PCTFREE = 30;
DROP INDEX TNG_ROLE_GUID;
CREATE UNIQUE INDEX TNG_ROLE_GUID ON TMT_COMPETENCIES (TNG_ROLE_GUID ASC) ;
DROP INDEX TCRIX_ENID_XU;
CREATE UNIQUE INDEX TCRIX_ENID_XU ON TMT_CRI (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TCRIX_NVID_RK_XX;
CREATE  INDEX TCRIX_NVID_RK_XX ON TMT_CRI (PARENT_ID ASC,LEVEL_ID ASC,RANK ASC) ;
DROP INDEX TCRIX_PJNWBID_XX;
CREATE  INDEX TCRIX_PJNWBID_XX ON TMT_CRI (PROJECT_ID ASC,PARENT_ID ASC,WBS_ID ASC)  PCTFREE = 30;
DROP INDEX TCRIX_PRK_RK_CX;
CREATE  INDEX TCRIX_PRK_RK_CX ON TMT_CRI (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30;
DROP INDEX TCRIX_TPID_XX;
CREATE  INDEX TCRIX_TPID_XX ON TMT_CRI (T_PARENT_ID ASC) ;
DROP INDEX TCRIX_RK_XU;
CREATE UNIQUE INDEX TCRIX_RK_XU ON TMT_CRI (RANK ASC)  PCTFREE = 30;
DROP INDEX CRI_CLIENT_XXX;
CREATE  INDEX CRI_CLIENT_XXX ON TMT_CRI (CLIENT_ID)  PCTFREE = 30;
DROP INDEX CRI_DUP_XXX;
CREATE  INDEX CRI_DUP_XXX ON TMT_CRI (DUPLICATE_KEY)  PCTFREE = 30;
DROP INDEX CRI_SCR_XXX;
CREATE  INDEX CRI_SCR_XXX ON TMT_CRI (SCORECARD_ID)  PCTFREE = 30;
DROP INDEX HSCRI_EID_RDT_CX;
CREATE  INDEX HSCRI_EID_RDT_CX ON HISTORY_CRI (ELEMENT_ID ASC,REC_DATETIME ASC)  PCTFREE = 30;
DROP INDEX HSCRI_HID_XX;
CREATE  INDEX HSCRI_HID_XX ON HISTORY_CRI (HISTORY_ID ASC) ;
DROP INDEX HSCRI_RK_XX;
CREATE  INDEX HSCRI_RK_XX ON HISTORY_CRI (RANK ASC)  PCTFREE = 30;
DROP INDEX TDTFL_EID_XU;
CREATE UNIQUE INDEX TDTFL_EID_XU ON TMT_DATAFIELDS (ELEMENT_ID ASC) ;
DROP INDEX TDTFL_TID_CX;
CREATE  INDEX TDTFL_TID_CX ON TMT_DATAFIELDS (TYPE_ID ASC)  PCTFREE = 30;
DROP INDEX TDTFL_RK_XU;
CREATE UNIQUE INDEX TDTFL_RK_XU ON TMT_DATAFIELDS (RANK ASC)  PCTFREE = 30;
DROP INDEX TDATLDS_NID_XX;
CREATE  INDEX TDATLDS_NID_XX ON TMT_DATAFIELDS (PARENT_ID)  PCTFREE = 30;
DROP INDEX TDOCA_ENID_XU;
CREATE UNIQUE INDEX TDOCA_ENID_XU ON TMT_DOCUMENT_ATTRIBUTES (ELEMENT_ID ASC,PARENT_ID ASC,TYPE_ID ASC) ;
DROP INDEX TDOCA_NID_XX;
CREATE  INDEX TDOCA_NID_XX ON TMT_DOCUMENT_ATTRIBUTES (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TDOCA_RK_CU;
CREATE UNIQUE INDEX TDOCA_RK_CU ON TMT_DOCUMENT_ATTRIBUTES (RANK ASC)  PCTFREE = 30;
DROP INDEX TDCMT_ENID_XU;
CREATE UNIQUE INDEX TDCMT_ENID_XU ON TMT_DOCUMENTS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TDCMT_PJNWBID_XX;
CREATE  INDEX TDCMT_PJNWBID_XX ON TMT_DOCUMENTS (PROJECT_ID ASC,PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TDCMT_PRK_RK_CX;
CREATE  INDEX TDCMT_PRK_RK_CX ON TMT_DOCUMENTS (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30;
DROP INDEX TDCM_TPID_XX;
CREATE  INDEX TDCM_TPID_XX ON TMT_DOCUMENTS (T_PARENT_ID ASC) ;
DROP INDEX TDCM_BLBL_XX;
CREATE  INDEX TDCM_BLBL_XX ON TMT_DOCUMENTS (BLOB_ID,LINK_DOC) ;
DROP INDEX TDCMT_RK_XU;
CREATE UNIQUE INDEX TDCMT_RK_XU ON TMT_DOCUMENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TDOCTS_NID_XX;
CREATE  INDEX TDOCTS_NID_XX ON TMT_DOCUMENTS (PARENT_ID,LEVEL_ID)  PCTFREE = 30;
DROP INDEX HSDOC_EID_MJIRV_CU;
CREATE UNIQUE INDEX HSDOC_EID_MJIRV_CU ON HISTORY_DOCUMENTS (ELEMENT_ID ASC,MAJOR_REVISION DESC,MINOR_REVISION DESC)  PCTFREE = 30;
DROP INDEX HSDOC_HID_XX;
CREATE  INDEX HSDOC_HID_XX ON HISTORY_DOCUMENTS (HISTORY_ID ASC) ;
DROP INDEX HSDOC_RK_XX;
CREATE  INDEX HSDOC_RK_XX ON HISTORY_DOCUMENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TGEOG_ENID_XU;
CREATE UNIQUE INDEX TGEOG_ENID_XU ON TMT_GEOGRAPHIES (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TGEOG_RK_CU;
CREATE UNIQUE INDEX TGEOG_RK_CU ON TMT_GEOGRAPHIES (RANK ASC)  PCTFREE = 30;
DROP INDEX TGEOHIE_NID_XX;
CREATE  INDEX TGEOHIE_NID_XX ON TMT_GEOGRAPHIES (PARENT_ID)  PCTFREE = 30;
DROP INDEX TORGN_ENID_XU;
CREATE UNIQUE INDEX TORGN_ENID_XU ON TMT_ORGANIZATIONS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TORGN_FC_NID_XX;
CREATE  INDEX TORGN_FC_NID_XX ON TMT_ORGANIZATIONS (FS_CODE ASC,PARENT_ID ASC) ;
DROP INDEX TORGN_NID_XX;
CREATE  INDEX TORGN_NID_XX ON TMT_ORGANIZATIONS (PARENT_ID ASC) ;
DROP INDEX TORGN_RK_CU;
CREATE UNIQUE INDEX TORGN_RK_CU ON TMT_ORGANIZATIONS (RANK ASC)  PCTFREE = 30;
DROP INDEX TPOLA_ENID_XU;
CREATE UNIQUE INDEX TPOLA_ENID_XU ON TMT_POOL_ATTRIBUTES (ELEMENT_ID ASC,PARENT_ID ASC,TYPE_ID ASC) ;
DROP INDEX TPOLA_NID_XX;
CREATE  INDEX TPOLA_NID_XX ON TMT_POOL_ATTRIBUTES (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TPOLA_RK_CU;
CREATE UNIQUE INDEX TPOLA_RK_CU ON TMT_POOL_ATTRIBUTES (RANK ASC)  PCTFREE = 30;
DROP INDEX TSETS_NID_XX;
CREATE  INDEX TSETS_NID_XX ON TMT_SETTINGS (PARENT_ID)  PCTFREE = 30;
DROP INDEX TSG_EIDRANK;
CREATE UNIQUE INDEX TSG_EIDRANK ON TMT_SETTINGS (ELEMENT_ID ASC,RANK ASC) ;
DROP INDEX TTMCD_ENID_XU;
CREATE UNIQUE INDEX TTMCD_ENID_XU ON TMT_TIMECODES (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TTMCD_FC_XX;
CREATE  INDEX TTMCD_FC_XX ON TMT_TIMECODES (FS_CODE ASC) ;
DROP INDEX TTMCD_NID_XX;
CREATE  INDEX TTMCD_NID_XX ON TMT_TIMECODES (PARENT_ID ASC) ;
DROP INDEX TTMCD_RK_CU;
CREATE UNIQUE INDEX TTMCD_RK_CU ON TMT_TIMECODES (RANK ASC)  PCTFREE = 30;
DROP INDEX TWKFL_ENI_EN_TI_XX;
CREATE  INDEX TWKFL_ENI_EN_TI_XX ON TMT_WORKFLOWS (ELEMENT_ID ASC,PARENT_ID ASC,ELEMENT_NAME ASC,TYPE_ID ASC) ;
DROP INDEX TWKFL_NID_XX;
CREATE  INDEX TWKFL_NID_XX ON TMT_WORKFLOWS (PARENT_ID ASC) ;
DROP INDEX TWKFL_UID_WST_XX;
CREATE  INDEX TWKFL_UID_WST_XX ON TMT_WORKFLOWS (AUTHOR_ID ASC,WKF_STATUS ASC) ;
DROP INDEX TWKFL_RK_CU;
CREATE UNIQUE INDEX TWKFL_RK_CU ON TMT_WORKFLOWS (RANK ASC)  PCTFREE = 30;
DROP INDEX WORKF_EXPIRES_XXX;
CREATE  INDEX WORKF_EXPIRES_XXX ON TMT_WORKFLOWS (EXPIRES_DATE)  PCTFREE = 30;
DROP INDEX TWKFL_EID_ST_CD_XX;
CREATE  INDEX TWKFL_EID_ST_CD_XX ON TMT_WORKFLOWS (ELEMENT_ID ASC,WKF_STATUS ASC,CREATED_DATE ASC) ;
DROP INDEX WKFRP_EID_CX;
CREATE  INDEX WKFRP_EID_CX ON WORKFLOW_REPLIES (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX WKFRP_RID_XX;
CREATE  INDEX WKFRP_RID_XX ON WORKFLOW_REPLIES (RESOURCE_ID ASC,REPLY_TYPE ASC)  PCTFREE = 30;
DROP INDEX WKFRP_WID_XU;
CREATE UNIQUE INDEX WKFRP_WID_XU ON WORKFLOW_REPLIES (WKF_REPLY_ID ASC)  PCTFREE = 30;
DROP INDEX USRSN_RID_XX;
CREATE  INDEX USRSN_RID_XX ON USER_SESSIONS (RESOURCE_ID ASC)  PCTFREE = 30;
DROP INDEX USRSN_SSID_XX;
CREATE  INDEX USRSN_SSID_XX ON USER_SESSIONS (SESSION_ID ASC)  PCTFREE = 30;
DROP INDEX TWFCL_ENID_XU;
CREATE UNIQUE INDEX TWFCL_ENID_XU ON TMT_WORKFLOW_CYCLES (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TWFCL_NID_XX;
CREATE  INDEX TWFCL_NID_XX ON TMT_WORKFLOW_CYCLES (PARENT_ID ASC) ;
DROP INDEX TWFCL_RK_CU;
CREATE UNIQUE INDEX TWFCL_RK_CU ON TMT_WORKFLOW_CYCLES (RANK ASC)  PCTFREE = 30;
DROP INDEX RTSXX_RTID_CU;
CREATE UNIQUE INDEX RTSXX_RTID_CU ON RATES (RATE_ID ASC)  PCTFREE = 30;
DROP INDEX TDOMN_ENID_XU;
CREATE UNIQUE INDEX TDOMN_ENID_XU ON TMT_DOMAINS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TDOMN_RK_CU;
CREATE UNIQUE INDEX TDOMN_RK_CU ON TMT_DOMAINS (RANK ASC)  PCTFREE = 30;
DROP INDEX TDOM_NID_XX;
CREATE  INDEX TDOM_NID_XX ON TMT_DOMAINS (PARENT_ID)  PCTFREE = 30;
DROP INDEX TPOOL_ENID_XU;
CREATE UNIQUE INDEX TPOOL_ENID_XU ON TMT_POOLS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TPOOL_RK_CU;
CREATE UNIQUE INDEX TPOOL_RK_CU ON TMT_POOLS (RANK ASC)  PCTFREE = 30;
DROP INDEX POOL_DOM_ID_XXX;
CREATE  INDEX POOL_DOM_ID_XXX ON TMT_POOLS (DOMAIN_ID)  PCTFREE = 30;
DROP INDEX POOL_USRGROUP_XXX;
CREATE  INDEX POOL_USRGROUP_XXX ON TMT_POOLS (USER_GROUP_ID)  PCTFREE = 30;
DROP INDEX POOL_MGR_XXX;
CREATE  INDEX POOL_MGR_XXX ON TMT_POOLS (MANAGER_ID)  PCTFREE = 30;
DROP INDEX TPOO_NID_XX;
CREATE  INDEX TPOO_NID_XX ON TMT_POOLS (PARENT_ID)  PCTFREE = 30;
DROP INDEX TPOOL_EXTREF_XX;
CREATE  INDEX TPOOL_EXTREF_XX ON TMT_POOLS (EXTERNAL_REFERENCE ASC) ;
DROP INDEX HSPLX_EID_RDT_CX;
CREATE  INDEX HSPLX_EID_RDT_CX ON HISTORY_POOLS (ELEMENT_ID ASC,REC_DATETIME ASC)  PCTFREE = 30;
DROP INDEX HSPLX_HID_XX;
CREATE  INDEX HSPLX_HID_XX ON HISTORY_POOLS (HISTORY_ID ASC) ;
DROP INDEX HSPLX_RK_XX;
CREATE  INDEX HSPLX_RK_XX ON HISTORY_POOLS (RANK ASC)  PCTFREE = 30;
DROP INDEX PLREF_EID_CU;
CREATE UNIQUE INDEX PLREF_EID_CU ON POOL_REFERENCES (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX PLREF_PLID_XX;
CREATE  INDEX PLREF_PLID_XX ON POOL_REFERENCES (POOL_ID ASC) ;
DROP INDEX DPNXX_DID_XU;
CREATE UNIQUE INDEX DPNXX_DID_XU ON DEPENDENCIES (DEPEND_ID ASC)  PCTFREE = 30;
DROP INDEX DPNXX_PPSPID_CX;
CREATE  INDEX DPNXX_PPSPID_CX ON DEPENDENCIES (PRED_PROJECT_ID ASC,SUCC_PROJECT_ID ASC)  PCTFREE = 30;
DROP INDEX DPNXX_PSID_XX;
CREATE  INDEX DPNXX_PSID_XX ON DEPENDENCIES (PRED_ID ASC,SUCC_ID ASC) ;
DROP INDEX DPNXX_SPID_XX;
CREATE  INDEX DPNXX_SPID_XX ON DEPENDENCIES (SUCC_ID ASC,PRED_ID ASC) ;
DROP INDEX DEP_PRED_UPD_XXX;
CREATE  INDEX DEP_PRED_UPD_XXX ON DEPENDENCIES (PRED_UPDATED)  PCTFREE = 30;
DROP INDEX CRDPN_DID_XU;
CREATE UNIQUE INDEX CRDPN_DID_XU ON CRIDEPENDENCIES (DEPEND_ID ASC)  PCTFREE = 30;
DROP INDEX CRDPN_PPSPID_CX;
CREATE  INDEX CRDPN_PPSPID_CX ON CRIDEPENDENCIES (PRED_PROJECT_ID ASC,SUCC_PROJECT_ID ASC)  PCTFREE = 30;
DROP INDEX CRDPN_PSID_XX;
CREATE  INDEX CRDPN_PSID_XX ON CRIDEPENDENCIES (PRED_ID ASC,SUCC_ID ASC) ;
DROP INDEX CRDPN_SPID_XX;
CREATE  INDEX CRDPN_SPID_XX ON CRIDEPENDENCIES (SUCC_ID ASC,PRED_ID ASC) ;
DROP INDEX BDGTS_EBCID_CU;
CREATE UNIQUE INDEX BDGTS_EBCID_CU ON BUDGETS (PROJECT_ID ASC,ELEMENT_ID ASC,CHARGECODE_ID ASC)  PCTFREE = 30;
DROP INDEX BDGTS_BID_XX;
CREATE UNIQUE INDEX BDGTS_BID_XX ON BUDGETS (BUDGET_ID ASC) ;
DROP INDEX BDGTS_CID_XX;
CREATE  INDEX BDGTS_CID_XX ON BUDGETS (PROJECT_ID,CHARGECODE_ID ASC) ;
DROP INDEX BUDGET_CHRGEID_XXX;
CREATE  INDEX BUDGET_CHRGEID_XXX ON BUDGETS (CHARGECODE_ID)  PCTFREE = 30;
DROP INDEX PBB_EID_CU;
CREATE UNIQUE INDEX PBB_EID_CU ON PROJECT_BUDGET_BREAKDOWN (PROJECT_ID ASC,ELEMENT_ID ASC,CHARGECODE_ID ASC,BUDGET_TYPE ASC,BUDGET_YEAR ASC)  PCTFREE = 30;
DROP INDEX DCBLB_EID_CU;
CREATE UNIQUE INDEX DCBLB_EID_CU ON DOCUMENT_BLOBS (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX TCSTS_ENRID_XU;
CREATE UNIQUE INDEX TCSTS_ENRID_XU ON TMT_COSTS (ELEMENT_ID ASC,PARENT_ID ASC,RESOURCE_ID ASC) ;
DROP INDEX TCSTS_NRTID_XX;
CREATE  INDEX TCSTS_NRTID_XX ON TMT_COSTS (PARENT_ID ASC,RESOURCE_ID ASC,TYPE_ID ASC) ;
DROP INDEX TMT_CST;
CREATE  INDEX TMT_CST ON TMT_COSTS (PROJECT_ID ASC,BUDGET_ID ASC,CHARGECODE_ID ASC) ;
DROP INDEX TCSTS_RK_CU;
CREATE UNIQUE INDEX TCSTS_RK_CU ON TMT_COSTS (RANK ASC)  PCTFREE = 30;
DROP INDEX COSTS_FS_CODE_XXX;
CREATE  INDEX COSTS_FS_CODE_XXX ON TMT_COSTS (FS_CODE)  PCTFREE = 30;
DROP INDEX TFCTR_ENID_XU;
CREATE UNIQUE INDEX TFCTR_ENID_XU ON TMT_FACTORS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TFCTR_RK_CU;
CREATE UNIQUE INDEX TFCTR_RK_CU ON TMT_FACTORS (RANK ASC)  PCTFREE = 30;
DROP INDEX TFAC_NID_XX;
CREATE  INDEX TFAC_NID_XX ON TMT_FACTORS (PARENT_ID)  PCTFREE = 30;
DROP INDEX FVACT_EID_XX;
CREATE  INDEX FVACT_EID_XX ON FAVORITE_ACTIVITIES (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX FVACT_RPJID_CX;
CREATE  INDEX FVACT_RPJID_CX ON FAVORITE_ACTIVITIES (RESOURCE_ID ASC,PROJECT_ID ASC)  PCTFREE = 30;
DROP INDEX FVACT_TC1;
CREATE  INDEX FVACT_TC1 ON FAVORITE_ACTIVITIES (TIMECODE_1_ID ASC)  PCTFREE = 30;
DROP INDEX FVACT_TC2;
CREATE  INDEX FVACT_TC2 ON FAVORITE_ACTIVITIES (TIMECODE_2_ID ASC)  PCTFREE = 30;
DROP INDEX ACTVT_EID_XX;
CREATE  INDEX ACTVT_EID_XX ON ACTIVITIES (ELEMENT_ID ASC,TYPE_ID ASC)  PCTFREE = 30;
DROP INDEX ACTVT_TAID_CX;
CREATE  INDEX ACTVT_TAID_CX ON ACTIVITIES (TSK_ASSIGNMENT_ID ASC)  PCTFREE = 30;
DROP INDEX DTTSH_AID_WF_XU;
CREATE UNIQUE INDEX DTTSH_AID_WF_XU ON DETAIL_TIMESHEETS (ACTIVITY_ID ASC,WEEK_OF ASC) ;
DROP INDEX DTTSH_AID_CW_XY;
CREATE  INDEX DTTSH_AID_CW_XY ON DETAIL_TIMESHEETS (ACTIVITY_ID ASC,CREDIT_WEEK_OF ASC)  PCTFREE = 30;
DROP INDEX SMRTS_RPJID_CX;
CREATE  INDEX SMRTS_RPJID_CX ON SUMMARY_TIMESHEETS (RESOURCE_ID ASC,PROJECT_ID ASC)  PCTFREE = 30;
DROP INDEX SMRTS_TAID_WF_XU;
CREATE UNIQUE INDEX SMRTS_TAID_WF_XU ON SUMMARY_TIMESHEETS (TSK_ASSIGNMENT_ID ASC,WEEK_OF ASC)  PCTFREE = 30;
DROP INDEX SMRTS_WF_RDT_XX;
CREATE  INDEX SMRTS_WF_RDT_XX ON SUMMARY_TIMESHEETS (WEEK_OF ASC,REC_DATETIME ASC)  PCTFREE = 30;
DROP INDEX PJALT_PJALID_CU;
CREATE UNIQUE INDEX PJALT_PJALID_CU ON PROJECT_ALERTS (PROJECT_ID ASC,ALERT_ID ASC)  PCTFREE = 30;
DROP INDEX ALMSG_ALID_LC_CU;
CREATE UNIQUE INDEX ALMSG_ALID_LC_CU ON ALERT_MESSAGES (ALERT_ID ASC,LANGUAGE_CODE ASC)  PCTFREE = 30;
DROP INDEX PRFLS_PFID_XU;
CREATE UNIQUE INDEX PRFLS_PFID_XU ON PROFILES (PROFILE_ID ASC) ;
DROP INDEX PRFLS_PJPFID_NM_CU;
CREATE UNIQUE INDEX PRFLS_PJPFID_NM_CU ON PROFILES (PROJECT_ID ASC,ROLE_ID ASC,PROF_NUMBER DESC)  PCTFREE = 30;
DROP INDEX PRFLS_RLID_XX;
CREATE  INDEX PRFLS_RLID_XX ON PROFILES (ROLE_ID ASC)  PCTFREE = 30;
DROP INDEX RSPJH_RID_CX;
CREATE  INDEX RSPJH_RID_CX ON RESOURCE_PROJECT_HISTORY (RESOURCE_ID ASC)  PCTFREE = 30;
DROP INDEX RSPJH_RPID_XU;
CREATE UNIQUE INDEX RSPJH_RPID_XU ON RESOURCE_PROJECT_HISTORY (RES_PROJECT_ID ASC) ;
DROP INDEX WBSRT_EID_CX;
CREATE  INDEX WBSRT_EID_CX ON WBS_RTF (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX WBSRT_PID_XX;
CREATE  INDEX WBSRT_PID_XX ON WBS_RTF (PARENT_ID ASC,ELEMENT_ID ASC) ;
DROP INDEX HSWBR_EID_CX;
CREATE  INDEX HSWBR_EID_CX ON HISTORY_WBS_RTF (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX HSWBR_HID_XX;
CREATE  INDEX HSWBR_HID_XX ON HISTORY_WBS_RTF (HISTORY_ID ASC) ;
DROP INDEX CRIRT_EID_CX;
CREATE  INDEX CRIRT_EID_CX ON CRI_RTF (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX CRIRT_PID_XX;
CREATE  INDEX CRIRT_PID_XX ON CRI_RTF (PARENT_ID ASC,ELEMENT_ID ASC) ;
DROP INDEX HSCRT_EID_CX;
CREATE  INDEX HSCRT_EID_CX ON HISTORY_CRI_RTF (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX HSCRT_HID_XX;
CREATE  INDEX HSCRT_HID_XX ON HISTORY_CRI_RTF (HISTORY_ID ASC) ;
DROP INDEX PDA_EID_STS;
CREATE  INDEX PDA_EID_STS ON PDA_LOOKUP (ELEMENT_ID ASC,REC_STATUS ASC) ;
DROP INDEX HSDSC_SCID_PDT_XX;
CREATE  INDEX HSDSC_SCID_PDT_XX ON HISTORY_DOCUMENT_SCORECARDS (SCORECARD_ID ASC,PUBLISHED_DT DESC) ;
DROP INDEX FSXMN_DTQ_XX;
CREATE  INDEX FSXMN_DTQ_XX ON FS_XML_MONITOR (DESTINATION_QUEUE ASC) ;
DROP INDEX FSXMN_EID_XX;
CREATE  INDEX FSXMN_EID_XX ON FS_XML_MONITOR (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX FSXMN_MID_XU;
CREATE UNIQUE INDEX FSXMN_MID_XU ON FS_XML_MONITOR (MESSAGE_ID ASC) ;
DROP INDEX FSXMN_RDT_CX;
CREATE  INDEX FSXMN_RDT_CX ON FS_XML_MONITOR (REC_DATETIME ASC)  PCTFREE = 30;
DROP INDEX TNABX_ENID_XU;
CREATE UNIQUE INDEX TNABX_ENID_XU ON TMT_NAB (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TNABX_RK_CU;
CREATE UNIQUE INDEX TNABX_RK_CU ON TMT_NAB (RANK ASC)  PCTFREE = 30;
DROP INDEX TNAB_NID_XX;
CREATE  INDEX TNAB_NID_XX ON TMT_NAB (PARENT_ID)  PCTFREE = 30;
DROP INDEX PNDMN_EID_SRC_XX;
CREATE  INDEX PNDMN_EID_SRC_XX ON PENDING_MONITOR (ELEMENT_ID ASC,SOURCE ASC) ;
DROP INDEX TRPSC_ENID_XU;
CREATE UNIQUE INDEX TRPSC_ENID_XU ON TMT_REPORT_SECURITY (ELEMENT_ID ASC,PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TRPSC_NID_XX;
CREATE  INDEX TRPSC_NID_XX ON TMT_REPORT_SECURITY (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TRPSC_RK_CU;
CREATE UNIQUE INDEX TRPSC_RK_CU ON TMT_REPORT_SECURITY (RANK ASC)  PCTFREE = 30;
DROP INDEX IDX_EW0;
CREATE  INDEX IDX_EW0 ON EFFORT_WEEK (WEEK_OF ASC)  PCTFREE = 30;
DROP INDEX EW_TAID;
CREATE  INDEX EW_TAID ON EFFORT_WEEK (TSK_ASSIGNMENT_ID ASC)  PCTFREE = 30;
DROP INDEX EW_TID;
CREATE  INDEX EW_TID ON EFFORT_WEEK (TASK_ID ASC)  PCTFREE = 30;
DROP INDEX IDX_TAS0;
CREATE UNIQUE INDEX IDX_TAS0 ON TIMESHEET_APPROVAL_STATUS (WEEK_OF,RESOURCE_ID,ELEMENT_ID)  PCTFREE = 30;
DROP INDEX IDX_TAS1;
CREATE  INDEX IDX_TAS1 ON TIMESHEET_APPROVAL_STATUS (ELEMENT_ID,WEEK_OF)  PCTFREE = 30;
DROP INDEX APPROV_RES_ELM_XXX;
CREATE  INDEX APPROV_RES_ELM_XXX ON TIMESHEET_APPROVAL_STATUS (RESOURCE_ID,ELEMENT_ID)  PCTFREE = 30;
DROP INDEX IDX_CAS0;
CREATE  INDEX IDX_CAS0 ON COST_APPROVAL_STATUS (RESOURCE_ID,ELEMENT_ID)  PCTFREE = 30;
DROP INDEX TASSET_ENID_XU;
CREATE UNIQUE INDEX TASSET_ENID_XU ON TMT_ASSETS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TASSET_RK_CU;
CREATE UNIQUE INDEX TASSET_RK_CU ON TMT_ASSETS (RANK ASC)  PCTFREE = 30;
DROP INDEX TASS_NID_XX;
CREATE  INDEX TASS_NID_XX ON TMT_ASSETS (PARENT_ID)  PCTFREE = 30;
DROP INDEX HSASX_EID_RDT_CX;
CREATE  INDEX HSASX_EID_RDT_CX ON HISTORY_ASSETS (ELEMENT_ID ASC,REC_DATETIME ASC)  PCTFREE = 30;
DROP INDEX HSASX_HID_XX;
CREATE  INDEX HSASX_HID_XX ON HISTORY_ASSETS (HISTORY_ID ASC) ;
DROP INDEX HSASX_RK_XX;
CREATE  INDEX HSASX_RK_XX ON HISTORY_ASSETS (RANK ASC)  PCTFREE = 30;
DROP INDEX TASSETA_ENID_XU;
CREATE UNIQUE INDEX TASSETA_ENID_XU ON TMT_ASSET_ATTRIBUTES (ELEMENT_ID ASC,PARENT_ID ASC,TYPE_ID ASC) ;
DROP INDEX TASSETA_NID_XX;
CREATE  INDEX TASSETA_NID_XX ON TMT_ASSET_ATTRIBUTES (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TASSETA_RK_CU;
CREATE UNIQUE INDEX TASSETA_RK_CU ON TMT_ASSET_ATTRIBUTES (RANK ASC)  PCTFREE = 30;
DROP INDEX ASSETREF_EID_CU;
CREATE UNIQUE INDEX ASSETREF_EID_CU ON ASSET_REFERENCES (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX ASSETREF_ASID_XX;
CREATE  INDEX ASSETREF_ASID_XX ON ASSET_REFERENCES (ASSET_ID ASC) ;
DROP INDEX ASMTN_EID_CU;
CREATE UNIQUE INDEX ASMTN_EID_CU ON ASSET_MAINTENANCE (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX ASMTN_ASSID_XX;
CREATE  INDEX ASMTN_ASSID_XX ON ASSET_MAINTENANCE (ASSET_ID ASC) ;
DROP INDEX ASDEP_EID_CU;
CREATE UNIQUE INDEX ASDEP_EID_CU ON ASSET_DEPRECIATION (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX ASDEP_ASSID_XX;
CREATE  INDEX ASDEP_ASSID_XX ON ASSET_DEPRECIATION (ASSET_ID ASC) ;
DROP INDEX RS_ASSRES_CU;
CREATE UNIQUE INDEX RS_ASSRES_CU ON ASSET_RESOURCES (RESOURCE_ID ASC,ASSET_ID ASC)  PCTFREE = 30;
DROP INDEX AS_ASSRES_XX;
CREATE  INDEX AS_ASSRES_XX ON ASSET_RESOURCES (ASSET_ID ASC) ;
DROP INDEX ASRES_ASSRES_XX;
CREATE  INDEX ASRES_ASSRES_XX ON ASSET_RESOURCES (ASSET_RES_ID ASC) ;
DROP INDEX ORG_ASSORG_CU;
CREATE UNIQUE INDEX ORG_ASSORG_CU ON ASSET_ORGANIZATIONS (ASSET_ORG_ID ASC)  PCTFREE = 30;
DROP INDEX AS_ASSORG_XX;
CREATE  INDEX AS_ASSORG_XX ON ASSET_ORGANIZATIONS (ASSET_ID ASC) ;
DROP INDEX ASORG_ASSRES_XX;
CREATE  INDEX ASORG_ASSRES_XX ON ASSET_ORGANIZATIONS (ORGANIZATION_ID ASC) ;
DROP INDEX ASS_DPNXX_DID_XU;
CREATE UNIQUE INDEX ASS_DPNXX_DID_XU ON ASSET_DEPENDENCIES (DEPEND_ID ASC)  PCTFREE = 30;
DROP INDEX ASS_DPNXX_PSID_XX;
CREATE  INDEX ASS_DPNXX_PSID_XX ON ASSET_DEPENDENCIES (PRED_ID ASC,SUCC_ID ASC) ;
DROP INDEX ASS_DPNXX_SPID_XX;
CREATE  INDEX ASS_DPNXX_SPID_XX ON ASSET_DEPENDENCIES (SUCC_ID ASC,PRED_ID ASC) ;
DROP INDEX TVENDOR_ENID_XU;
CREATE UNIQUE INDEX TVENDOR_ENID_XU ON TMT_VENDORS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TVENDOR_RK_CU;
CREATE UNIQUE INDEX TVENDOR_RK_CU ON TMT_VENDORS (RANK ASC)  PCTFREE = 30;
DROP INDEX TVEN_NID_XX;
CREATE  INDEX TVEN_NID_XX ON TMT_VENDORS (PARENT_ID)  PCTFREE = 30;
DROP INDEX HSVNX_EID_RDT_CX;
CREATE  INDEX HSVNX_EID_RDT_CX ON HISTORY_VENDORS (ELEMENT_ID ASC,REC_DATETIME ASC)  PCTFREE = 30;
DROP INDEX HSVNX_HID_XX;
CREATE  INDEX HSVNX_HID_XX ON HISTORY_VENDORS (HISTORY_ID ASC) ;
DROP INDEX HSVNX_RK_XX;
CREATE  INDEX HSVNX_RK_XX ON HISTORY_VENDORS (RANK ASC)  PCTFREE = 30;
DROP INDEX TVENDORA_ENID_XU;
CREATE UNIQUE INDEX TVENDORA_ENID_XU ON TMT_VENDOR_ATTRIBUTES (ELEMENT_ID ASC,PARENT_ID ASC,TYPE_ID ASC) ;
DROP INDEX TVENDORA_NID_XX;
CREATE  INDEX TVENDORA_NID_XX ON TMT_VENDOR_ATTRIBUTES (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TVENDORA_RK_CU;
CREATE UNIQUE INDEX TVENDORA_RK_CU ON TMT_VENDOR_ATTRIBUTES (RANK ASC)  PCTFREE = 30;
DROP INDEX VENDORREF_EID_CU;
CREATE UNIQUE INDEX VENDORREF_EID_CU ON VENDOR_REFERENCES (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX VENDORREF_VNID_XX;
CREATE  INDEX VENDORREF_VNID_XX ON VENDOR_REFERENCES (VENDOR_ID ASC) ;
DROP INDEX TCLIENT_ENID_XU;
CREATE UNIQUE INDEX TCLIENT_ENID_XU ON TMT_CLIENTS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TCLIENT_RK_CU;
CREATE UNIQUE INDEX TCLIENT_RK_CU ON TMT_CLIENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TCLI_NID_XX;
CREATE  INDEX TCLI_NID_XX ON TMT_CLIENTS (PARENT_ID)  PCTFREE = 30;
DROP INDEX HSCLX_EID_RDT_CX;
CREATE  INDEX HSCLX_EID_RDT_CX ON HISTORY_CLIENTS (ELEMENT_ID ASC,REC_DATETIME ASC)  PCTFREE = 30;
DROP INDEX HSCLX_HID_XX;
CREATE  INDEX HSCLX_HID_XX ON HISTORY_CLIENTS (HISTORY_ID ASC) ;
DROP INDEX HSCLX_RK_XX;
CREATE  INDEX HSCLX_RK_XX ON HISTORY_CLIENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TCLIENTA_ENID_XU;
CREATE UNIQUE INDEX TCLIENTA_ENID_XU ON TMT_CLIENT_ATTRIBUTES (ELEMENT_ID ASC,PARENT_ID ASC,TYPE_ID ASC) ;
DROP INDEX TCLIENTA_NID_XX;
CREATE  INDEX TCLIENTA_NID_XX ON TMT_CLIENT_ATTRIBUTES (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TCLIENTA_RK_CU;
CREATE UNIQUE INDEX TCLIENTA_RK_CU ON TMT_CLIENT_ATTRIBUTES (RANK ASC)  PCTFREE = 30;
DROP INDEX CLIENTREF_EID_CU;
CREATE UNIQUE INDEX CLIENTREF_EID_CU ON CLIENT_REFERENCES (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX CLIENTREF_CLID_XX;
CREATE  INDEX CLIENTREF_CLID_XX ON CLIENT_REFERENCES (CLIENT_ID ASC) ;
DROP INDEX DOCRT_EID_CX;
CREATE  INDEX DOCRT_EID_CX ON DOC_RTF (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX DOCRT_PID_XX;
CREATE  INDEX DOCRT_PID_XX ON DOC_RTF (PARENT_ID ASC,ELEMENT_ID ASC) ;
DROP INDEX HSDCR_EID_CX;
CREATE  INDEX HSDCR_EID_CX ON HISTORY_DOC_RTF (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX HSDCR_HID_XX;
CREATE  INDEX HSDCR_HID_XX ON HISTORY_DOC_RTF (HISTORY_ID ASC) ;
DROP INDEX DEF_STATE_XU;
CREATE UNIQUE INDEX DEF_STATE_XU ON PROJECT_STATE_DEF (PROJECT_ID ASC,ELEMENT_TYPE ASC,STAGE_ID ASC) ;
DROP INDEX TRG_STATE_XU;
CREATE  INDEX TRG_STATE_XU ON PROJECT_STATE_TRG (PROJECT_ID ASC,TABLE_TYPE ASC,ELEMENT_ID ASC,STAGE_ID ASC,NOTIFIED_FLAG ASC) ;
DROP INDEX LTKDYR_PJNID_BF;
CREATE  INDEX LTKDYR_PJNID_BF ON LEVEL_TASK_DAY_OF_YEAR (PROJECT_ID ASC,PARENT_ID ASC,BIT_FLAG ASC) ;
DROP INDEX LTKDYR_PJNID_DY;
CREATE  INDEX LTKDYR_PJNID_DY ON LEVEL_TASK_DAY_OF_YEAR (PROJECT_ID ASC,PARENT_ID ASC,DAY_YEAR ASC) ;
DROP INDEX LTKDYR_PJTAID_DYCU;
CREATE UNIQUE INDEX LTKDYR_PJTAID_DYCU ON LEVEL_TASK_DAY_OF_YEAR (PROJECT_ID ASC,TSK_ASSIGNMENT_ID ASC,DAY_YEAR ASC)  PCTFREE = 30;
DROP INDEX LTKDYR_PRID_DYBF;
CREATE  INDEX LTKDYR_PRID_DYBF ON LEVEL_TASK_DAY_OF_YEAR (PROJECT_ID ASC,RESOURCE_ID ASC,DAY_YEAR ASC,BIT_FLAG ASC) ;
DROP INDEX LTKDYR_RID_BF_XX;
CREATE  INDEX LTKDYR_RID_BF_XX ON LEVEL_TASK_DAY_OF_YEAR (RESOURCE_ID ASC,BIT_FLAG ASC) ;
DROP INDEX PRDIC_EID_CU;
CREATE UNIQUE INDEX PRDIC_EID_CU ON PROJECT_DISCOUNT (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX PD_PROJECT_XXX;
CREATE  INDEX PD_PROJECT_XXX ON PROJECT_DISCOUNT (PROJECT_ID)  PCTFREE = 30;
DROP INDEX TRD_EID_XU;
CREATE UNIQUE INDEX TRD_EID_XU ON TMT_RESOURCE_DOCUMENTS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TRD_PJNWBID_XX;
CREATE  INDEX TRD_PJNWBID_XX ON TMT_RESOURCE_DOCUMENTS (PROJECT_ID ASC,PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TRD_PRK_RK_CX;
CREATE  INDEX TRD_PRK_RK_CX ON TMT_RESOURCE_DOCUMENTS (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30;
DROP INDEX TRD_RK_XU;
CREATE UNIQUE INDEX TRD_RK_XU ON TMT_RESOURCE_DOCUMENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TRESE_D_NID_XX;
CREATE  INDEX TRESE_D_NID_XX ON TMT_RESOURCE_DOCUMENTS (PARENT_ID)  PCTFREE = 30;
DROP INDEX HRD_EID_MJIRV_CU;
CREATE UNIQUE INDEX HRD_EID_MJIRV_CU ON HISTORY_RESOURCE_DOCUMENTS (ELEMENT_ID ASC,MAJOR_REVISION DESC,MINOR_REVISION DESC)  PCTFREE = 30;
DROP INDEX HRD_HID_XX;
CREATE  INDEX HRD_HID_XX ON HISTORY_RESOURCE_DOCUMENTS (HISTORY_ID ASC) ;
DROP INDEX HRD_NK_XA;
CREATE  INDEX HRD_NK_XA ON HISTORY_RESOURCE_DOCUMENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TSCRD_D_W_EID_XU;
CREATE UNIQUE INDEX TSCRD_D_W_EID_XU ON TMT_SCORECARDS_DEF_WBS (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX TSCRD_D_W_NID_XX;
CREATE  INDEX TSCRD_D_W_NID_XX ON TMT_SCORECARDS_DEF_WBS (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TSCRD_D_W_RK_CU;
CREATE UNIQUE INDEX TSCRD_D_W_RK_CU ON TMT_SCORECARDS_DEF_WBS (RANK ASC)  PCTFREE = 30;
DROP INDEX TSCRD_D_C_EID_XU;
CREATE UNIQUE INDEX TSCRD_D_C_EID_XU ON TMT_SCORECARDS_DEF_CRI (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX TSCRD_D_C_NID_XX;
CREATE  INDEX TSCRD_D_C_NID_XX ON TMT_SCORECARDS_DEF_CRI (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TSCRD_D_C_RK_CU;
CREATE UNIQUE INDEX TSCRD_D_C_RK_CU ON TMT_SCORECARDS_DEF_CRI (RANK ASC)  PCTFREE = 30;
DROP INDEX IDX_ASC1;
CREATE UNIQUE INDEX IDX_ASC1 ON TMT_ASSIGNED_SCORECARDS (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX IDX_ASC2;
CREATE  INDEX IDX_ASC2 ON TMT_ASSIGNED_SCORECARDS (PARENT_ID,LEVEL_ID)  PCTFREE = 30;
DROP INDEX IDX_ASC3;
CREATE  INDEX IDX_ASC3 ON TMT_ASSIGNED_SCORECARDS (PARENT_RANK ASC)  PCTFREE = 30;
DROP INDEX IDX_ASC4;
CREATE  INDEX IDX_ASC4 ON TMT_ASSIGNED_SCORECARDS (PROJECT_ID ASC,PARENT_RANK ASC) ;
DROP INDEX IDX_ASC0;
CREATE UNIQUE INDEX IDX_ASC0 ON TMT_ASSIGNED_SCORECARDS (RANK ASC)  PCTFREE = 30;
DROP INDEX ASS_SCR_PROJ_XXX;
CREATE  INDEX ASS_SCR_PROJ_XXX ON TMT_ASSIGNED_SCORECARDS (PROJECT_ID)  PCTFREE = 30;
DROP INDEX HSC_EID_XX;
CREATE  INDEX HSC_EID_XX ON HISTORY_ASSIGNED_SCORECARDS (ELEMENT_ID ASC,MAJOR_REVISION ASC,PUBLISHED_DT ASC)  PCTFREE = 30;
DROP INDEX HORYIGN_HID_XX;
CREATE UNIQUE INDEX HORYIGN_HID_XX ON HISTORY_ASSIGNED_SCORECARDS (HISTORY_ID)  PCTFREE = 30;
DROP INDEX HIS_ASS_SCR_PROJ;
CREATE  INDEX HIS_ASS_SCR_PROJ ON HISTORY_ASSIGNED_SCORECARDS (PROJECT_ID)  PCTFREE = 30;
DROP INDEX IDX_PSC0;
CREATE UNIQUE INDEX IDX_PSC0 ON TMT_PUBLISHED_SCORECARDS (RANK ASC)  PCTFREE = 30;
DROP INDEX IDX_PSC1;
CREATE  INDEX IDX_PSC1 ON TMT_PUBLISHED_SCORECARDS (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX IDX_PSC2;
CREATE  INDEX IDX_PSC2 ON TMT_PUBLISHED_SCORECARDS (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX IDX_PSC3;
CREATE  INDEX IDX_PSC3 ON TMT_PUBLISHED_SCORECARDS (PARENT_RANK ASC)  PCTFREE = 30;
DROP INDEX PUB_SCR_PROJ_XXX;
CREATE  INDEX PUB_SCR_PROJ_XXX ON TMT_PUBLISHED_SCORECARDS (PROJECT_ID)  PCTFREE = 30;
DROP INDEX PUB_SCR_SCRID_XXX;
CREATE  INDEX PUB_SCR_SCRID_XXX ON TMT_PUBLISHED_SCORECARDS (SCORECARD_ID)  PCTFREE = 30;
DROP INDEX HSSC_EID_XX;
CREATE  INDEX HSSC_EID_XX ON HISTORY_PUBLISHED_SCORECARDS (ELEMENT_ID ASC,MAJOR_REVISION ASC)  PCTFREE = 30;
DROP INDEX HORYLIS_HID_XX;
CREATE UNIQUE INDEX HORYLIS_HID_XX ON HISTORY_PUBLISHED_SCORECARDS (HISTORY_ID)  PCTFREE = 30;
DROP INDEX HIS_PUB_SCR_PROJ;
CREATE  INDEX HIS_PUB_SCR_PROJ ON HISTORY_PUBLISHED_SCORECARDS (PROJECT_ID)  PCTFREE = 30;
DROP INDEX HIS_PUB_SCR_PARE;
CREATE  INDEX HIS_PUB_SCR_PARE ON HISTORY_PUBLISHED_SCORECARDS (PARENT_ID)  PCTFREE = 30;
DROP INDEX HPUB_SCR_PARRANK;
CREATE  INDEX HPUB_SCR_PARRANK ON HISTORY_PUBLISHED_SCORECARDS (PARENT_RANK)  PCTFREE = 30;
DROP INDEX HPUB_SCR_SCRID;
CREATE  INDEX HPUB_SCR_SCRID ON HISTORY_PUBLISHED_SCORECARDS (SCORECARD_ID)  PCTFREE = 30;
DROP INDEX CLIENTRT_EID_CX;
CREATE  INDEX CLIENTRT_EID_CX ON CLIENT_RTF (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX CLT_PID_XX;
CREATE  INDEX CLT_PID_XX ON CLIENT_RTF (PARENT_ID ASC,ELEMENT_ID ASC) ;
DROP INDEX HSCLR_EID_CX;
CREATE  INDEX HSCLR_EID_CX ON HISTORY_CLIENT_RTF (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX HSCLR_HID_XX;
CREATE  INDEX HSCLR_HID_XX ON HISTORY_CLIENT_RTF (HISTORY_ID ASC) ;
DROP INDEX ASSETRT_EID_CX;
CREATE  INDEX ASSETRT_EID_CX ON ASSET_RTF (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX ASRT_PID_XX;
CREATE  INDEX ASRT_PID_XX ON ASSET_RTF (PARENT_ID ASC,ELEMENT_ID ASC) ;
DROP INDEX HSASR_EID_CX;
CREATE  INDEX HSASR_EID_CX ON HISTORY_ASSET_RTF (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX HSASR_HID_XX;
CREATE  INDEX HSASR_HID_XX ON HISTORY_ASSET_RTF (HISTORY_ID ASC) ;
DROP INDEX ASSDOC_ENID_XU;
CREATE UNIQUE INDEX ASSDOC_ENID_XU ON TMT_ASSET_DOCUMENTS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX ASSDOC_PJNWBID_XX;
CREATE  INDEX ASSDOC_PJNWBID_XX ON TMT_ASSET_DOCUMENTS (PROJECT_ID ASC,PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX ASSDOC_PRK_RK_CX;
CREATE  INDEX ASSDOC_PRK_RK_CX ON TMT_ASSET_DOCUMENTS (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30;
DROP INDEX ASSDOC_RK_XU;
CREATE UNIQUE INDEX ASSDOC_RK_XU ON TMT_ASSET_DOCUMENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TASSOCU_NID_XX;
CREATE  INDEX TASSOCU_NID_XX ON TMT_ASSET_DOCUMENTS (PARENT_ID)  PCTFREE = 30;
DROP INDEX HASSD_EID_MJIRV_CU;
CREATE UNIQUE INDEX HASSD_EID_MJIRV_CU ON HISTORY_ASSET_DOCUMENTS (ELEMENT_ID ASC,MAJOR_REVISION DESC,MINOR_REVISION DESC)  PCTFREE = 30;
DROP INDEX HASSD_HID_XX;
CREATE  INDEX HASSD_HID_XX ON HISTORY_ASSET_DOCUMENTS (HISTORY_ID ASC) ;
DROP INDEX HASSD_RK_XX;
CREATE  INDEX HASSD_RK_XX ON HISTORY_ASSET_DOCUMENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX CLIDOC_ENID_XU;
CREATE UNIQUE INDEX CLIDOC_ENID_XU ON TMT_CLIENT_DOCUMENTS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX CLIDOC_PJNWBID_XX;
CREATE  INDEX CLIDOC_PJNWBID_XX ON TMT_CLIENT_DOCUMENTS (PROJECT_ID ASC,PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX CLIDOC_PRK_RK_CX;
CREATE  INDEX CLIDOC_PRK_RK_CX ON TMT_CLIENT_DOCUMENTS (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30;
DROP INDEX CLIDOC_RK_XU;
CREATE UNIQUE INDEX CLIDOC_RK_XU ON TMT_CLIENT_DOCUMENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TCLIDOC_NID_XX;
CREATE  INDEX TCLIDOC_NID_XX ON TMT_CLIENT_DOCUMENTS (PARENT_ID)  PCTFREE = 30;
DROP INDEX HCLID_EID_MJIRV_CU;
CREATE UNIQUE INDEX HCLID_EID_MJIRV_CU ON HISTORY_CLIENT_DOCUMENTS (ELEMENT_ID ASC,MAJOR_REVISION DESC,MINOR_REVISION DESC)  PCTFREE = 30;
DROP INDEX HCLID_HID_XX;
CREATE  INDEX HCLID_HID_XX ON HISTORY_CLIENT_DOCUMENTS (HISTORY_ID ASC) ;
DROP INDEX HCLID_RK_XX;
CREATE  INDEX HCLID_RK_XX ON HISTORY_CLIENT_DOCUMENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX VENDOC_ENID_XU;
CREATE UNIQUE INDEX VENDOC_ENID_XU ON TMT_VENDOR_DOCUMENTS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX VENDOC_PJNWBID_XX;
CREATE  INDEX VENDOC_PJNWBID_XX ON TMT_VENDOR_DOCUMENTS (PROJECT_ID ASC,PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX VENDOC_PRK_RK_CX;
CREATE  INDEX VENDOC_PRK_RK_CX ON TMT_VENDOR_DOCUMENTS (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30;
DROP INDEX VENDOC_RK_XU;
CREATE UNIQUE INDEX VENDOC_RK_XU ON TMT_VENDOR_DOCUMENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TVENDOC_NID_XX;
CREATE  INDEX TVENDOC_NID_XX ON TMT_VENDOR_DOCUMENTS (PARENT_ID)  PCTFREE = 30;
DROP INDEX HVEND_EID_MJIRV_CU;
CREATE UNIQUE INDEX HVEND_EID_MJIRV_CU ON HISTORY_VENDOR_DOCUMENTS (ELEMENT_ID ASC,MAJOR_REVISION DESC,MINOR_REVISION DESC)  PCTFREE = 30;
DROP INDEX HVEND_HID_XX;
CREATE  INDEX HVEND_HID_XX ON HISTORY_VENDOR_DOCUMENTS (HISTORY_ID ASC) ;
DROP INDEX HVEND_RK_XX;
CREATE  INDEX HVEND_RK_XX ON HISTORY_VENDOR_DOCUMENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX POOLDOC_ENID_XU;
CREATE UNIQUE INDEX POOLDOC_ENID_XU ON TMT_POOL_DOCUMENTS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX POOLDOC_PJNWBID_XX;
CREATE  INDEX POOLDOC_PJNWBID_XX ON TMT_POOL_DOCUMENTS (PROJECT_ID ASC,PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX POOLDOC_PRK_RK_CX;
CREATE  INDEX POOLDOC_PRK_RK_CX ON TMT_POOL_DOCUMENTS (PARENT_RANK ASC,RANK ASC)  PCTFREE = 30;
DROP INDEX POOLDOC_RK_XU;
CREATE UNIQUE INDEX POOLDOC_RK_XU ON TMT_POOL_DOCUMENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TPOOCUM_NID_XX;
CREATE  INDEX TPOOCUM_NID_XX ON TMT_POOL_DOCUMENTS (PARENT_ID)  PCTFREE = 30;
DROP INDEX HPOOLD_EID_RV_CU;
CREATE UNIQUE INDEX HPOOLD_EID_RV_CU ON HISTORY_POOL_DOCUMENTS (ELEMENT_ID ASC,MAJOR_REVISION DESC,MINOR_REVISION DESC)  PCTFREE = 30;
DROP INDEX HPOOLD_HID_XX;
CREATE  INDEX HPOOLD_HID_XX ON HISTORY_POOL_DOCUMENTS (HISTORY_ID ASC) ;
DROP INDEX HPOOLD_RK_XX;
CREATE  INDEX HPOOLD_RK_XX ON HISTORY_POOL_DOCUMENTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TPRJDTLX_EPJID_XU;
CREATE UNIQUE INDEX TPRJDTLX_EPJID_XU ON PROJECT_DETAILS (PROJECT_ID ASC) ;
DROP INDEX PDET_LEV_LOCK_XXX;
CREATE  INDEX PDET_LEV_LOCK_XXX ON PROJECT_DETAILS (LEVEL_LOCK)  PCTFREE = 30;
DROP INDEX TPD_EID_CU;
CREATE  INDEX TPD_EID_CU ON TIMEPHASED_DELTA (PROJECT_ID ASC,ELEMENT_ID ASC,CHARGECODE_ID ASC,BUDGET_TYPE ASC,BUDGET_YEAR ASC)  PCTFREE = 30;
DROP INDEX TPH_PRJFL;
CREATE  INDEX TPH_PRJFL ON TIMEPHASED_PROJECT (PROJECT_ID ASC,FLAG ASC) ;
DROP INDEX COSTB_EBCID_CU;
CREATE UNIQUE INDEX COSTB_EBCID_CU ON PROJECT_COSTBACK (PROJECT_ID ASC,COST_CENTER_ID ASC)  PCTFREE = 30;
DROP INDEX COSTB_BID_XX;
CREATE UNIQUE INDEX COSTB_BID_XX ON PROJECT_COSTBACK (COSTBACK_ID ASC) ;
DROP INDEX CHAGB_EBCID_CU;
CREATE UNIQUE INDEX CHAGB_EBCID_CU ON PROJECT_CHARGEBACK (PROJECT_ID ASC,CLIENT_ID ASC)  PCTFREE = 30;
DROP INDEX CHAGB_BID_XX;
CREATE UNIQUE INDEX CHAGB_BID_XX ON PROJECT_CHARGEBACK (CHARGEBACK_ID ASC) ;
DROP INDEX PCB_EID_CU;
CREATE UNIQUE INDEX PCB_EID_CU ON PROJECT_CHARGEBACK_BREAKDOWN (PROJECT_ID ASC,CLIENT_ID ASC,CHARGEBACK_ID ASC,ENTRY_TYPE ASC,ENTRY_YEAR ASC) ;
DROP INDEX TWBSA_ENID_XX;
CREATE UNIQUE INDEX TWBSA_ENID_XX ON TMT_WBS_ATTRIBUTES (ELEMENT_ID ASC,PARENT_ID ASC,TYPE_ID ASC) ;
DROP INDEX TWBSA_NID_XX;
CREATE  INDEX TWBSA_NID_XX ON TMT_WBS_ATTRIBUTES (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TWBSA_RK_CU;
CREATE UNIQUE INDEX TWBSA_RK_CU ON TMT_WBS_ATTRIBUTES (RANK ASC)  PCTFREE = 30;
DROP INDEX TNG_ATTR_GUID;
CREATE  INDEX TNG_ATTR_GUID ON TMT_WBS_ATTRIBUTES (TNG_ATTR_GUID ASC) ;
DROP INDEX TCRIA_ENID_XX;
CREATE UNIQUE INDEX TCRIA_ENID_XX ON TMT_CRI_ATTRIBUTES (ELEMENT_ID ASC,PARENT_ID ASC,TYPE_ID ASC) ;
DROP INDEX TCRIA_NID_XX;
CREATE  INDEX TCRIA_NID_XX ON TMT_CRI_ATTRIBUTES (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TCRIA_RK_CU;
CREATE UNIQUE INDEX TCRIA_RK_CU ON TMT_CRI_ATTRIBUTES (RANK ASC)  PCTFREE = 30;
DROP INDEX FY_Y_M;
CREATE UNIQUE INDEX FY_Y_M ON FISCAL_CALENDAR (FISCAL_YEAR,FISCAL_MONTH)  PCTFREE = 30;
DROP INDEX FY_SD_FD;
CREATE UNIQUE INDEX FY_SD_FD ON FISCAL_CALENDAR (START_DATE,FINISH_DATE) ;
DROP INDEX RMASGN_PID_XX;
CREATE  INDEX RMASGN_PID_XX ON RM_ASSIGNMENTS (PROJECT_ID ASC) ;
DROP INDEX RMASGN_PRID_XU_02;
CREATE  INDEX RMASGN_PRID_XU_02 ON RM_ASSIGNMENTS (PROJECT_ID ASC,PROFILE_ID ASC) ;
DROP INDEX RMASGN_PRID_XU;
CREATE UNIQUE INDEX RMASGN_PRID_XU ON RM_ASSIGNMENTS (MANAGER_ID ASC,PROJECT_ID ASC,PROFILE_ID ASC,RESOURCE_ID ASC) ;
DROP INDEX TSCRD_D_R_EID_XU;
CREATE UNIQUE INDEX TSCRD_D_R_EID_XU ON TMT_SCORECARDS_DEF_RES (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX TSCRD_D_R_NID_XX;
CREATE  INDEX TSCRD_D_R_NID_XX ON TMT_SCORECARDS_DEF_RES (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TSCRD_D_R_RK_CU;
CREATE UNIQUE INDEX TSCRD_D_R_RK_CU ON TMT_SCORECARDS_DEF_RES (RANK ASC)  PCTFREE = 30;
DROP INDEX ALERT_PDC_XU;
CREATE UNIQUE INDEX ALERT_PDC_XU ON ALERT_MSG_PREDEF_COLUMN (ALERT_ID,ELEMENT_ID)  PCTFREE = 30;
DROP INDEX TSCRD_D_A_EID_XU;
CREATE UNIQUE INDEX TSCRD_D_A_EID_XU ON TMT_SCORECARDS_DEF_AST (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX TSCRD_D_A_NID_XX;
CREATE  INDEX TSCRD_D_A_NID_XX ON TMT_SCORECARDS_DEF_AST (PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TSCRD_D_A_RK_CU;
CREATE UNIQUE INDEX TSCRD_D_A_RK_CU ON TMT_SCORECARDS_DEF_AST (RANK ASC)  PCTFREE = 30;
DROP INDEX ASTCC_AIPI_CU;
CREATE UNIQUE INDEX ASTCC_AIPI_CU ON ASSET_CROSS_CHARGE (ASSET_ID ASC,PROJECT_CLIENT_ID ASC)  PCTFREE = 30;
DROP INDEX ASTCC_CCID_XU;
CREATE UNIQUE INDEX ASTCC_CCID_XU ON ASSET_CROSS_CHARGE (CROSS_CHARGE_ID ASC)  PCTFREE = 30;
DROP INDEX DEF_PTID;
CREATE UNIQUE INDEX DEF_PTID ON PMO_DEFAULTS (PROJECT_ID,TYPE_ID ASC) ;
DROP INDEX RCC_RID_CCID_DT;
CREATE UNIQUE INDEX RCC_RID_CCID_DT ON RESOURCE_COST_CENTERS (RESOURCE_ID ASC,COST_CENTER_ID ASC,START_DATE ASC)  PCTFREE = 30;
DROP INDEX PCC_RID_CCID_DT;
CREATE UNIQUE INDEX PCC_RID_CCID_DT ON PROJECT_COST_CENTERS (PROJECT_ID ASC,RESOURCE_ID ASC,COST_CENTER_ID ASC)  PCTFREE = 30;
DROP INDEX TSCEN_ENID_XU;
CREATE UNIQUE INDEX TSCEN_ENID_XU ON TMT_SCENARIOS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TSCEN_FC_NID_XX;
CREATE  INDEX TSCEN_FC_NID_XX ON TMT_SCENARIOS (SCENARIO_ID ASC,ELEMENT_ID ASC) ;
DROP INDEX TSCEN_NID_XX;
CREATE  INDEX TSCEN_NID_XX ON TMT_SCENARIOS (PARENT_ID ASC) ;
DROP INDEX TSCEN_RK_CU;
CREATE UNIQUE INDEX TSCEN_RK_CU ON TMT_SCENARIOS (RANK ASC)  PCTFREE = 30;
DROP INDEX SCEN_TOCALC_XXX;
CREATE  INDEX SCEN_TOCALC_XXX ON TMT_SCENARIOS (TO_CALCULATE) ;
DROP INDEX PRC_PID_FID_DT;
CREATE UNIQUE INDEX PRC_PID_FID_DT ON PROJECT_RECONCILIATION (PROJECT_ID ASC,FOREIGN_ID ASC,FOREIGN_DATE ASC,COST_CENTER_ID ASC,TYPE_ID ASC)  PCTFREE = 30;
DROP INDEX PRCSX_EID_XU;
CREATE UNIQUE INDEX PRCSX_EID_XU ON PROJECT_RECONCILIATION (ELEMENT_ID ASC) ;
DROP INDEX NEXT_STATE_CNFG_XU;
CREATE UNIQUE INDEX NEXT_STATE_CNFG_XU ON STATE_TASK_NEXT_STATE_CNFG (PROJECT_ID ASC,STAGE_ID ASC,NEXT_STAGE_ID ASC) ;
DROP INDEX CURRENCY_EXC_CID;
CREATE UNIQUE INDEX CURRENCY_EXC_CID ON CURRENCY_EXCHANGES (CURRENCY_ID ASC,ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX TCONTR_ENID_XU;
CREATE UNIQUE INDEX TCONTR_ENID_XU ON TMT_CONTRACTS (ELEMENT_ID ASC,PARENT_ID ASC)  PCTFREE = 30;
DROP INDEX TCONTR_RK_CU;
CREATE UNIQUE INDEX TCONTR_RK_CU ON TMT_CONTRACTS (RANK ASC)  PCTFREE = 30;
DROP INDEX TCONTR_BDENID_XU;
CREATE  INDEX TCONTR_BDENID_XU ON CONTRACT_BREAKDOWN (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX TCONTR_BDID_XU;
CREATE  INDEX TCONTR_BDID_XU ON CONTRACT_BREAKDOWN (CONTRACT_ID ASC,CHARGE_DATE ASC)  PCTFREE = 30;
DROP INDEX TMTLO_ENID_XU;
CREATE UNIQUE INDEX TMTLO_ENID_XU ON TMT_LAYOUTS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TMTLO_NID_XX;
CREATE  INDEX TMTLO_NID_XX ON TMT_LAYOUTS (PARENT_ID ASC) ;
DROP INDEX TMTLO_RK_CU;
CREATE UNIQUE INDEX TMTLO_RK_CU ON TMT_LAYOUTS (RANK ASC)  PCTFREE = 30;
DROP INDEX STASS_ENID_XU;
CREATE UNIQUE INDEX STASS_ENID_XU ON STEP_ASSOCIATED_ITEMS (ELEMENT_ID ASC) ;
DROP INDEX STASS_STID_XU;
CREATE UNIQUE INDEX STASS_STID_XU ON STEP_ASSOCIATED_ITEMS (STEP_ID ASC,TYPE_ID ASC,REF_CODE ASC) ;
DROP INDEX PRDEF_ENID_XU;
CREATE UNIQUE INDEX PRDEF_ENID_XU ON PROCESS_DEFAULTS (PROCESS_ID ASC,LAYOUT_GROUP_ID ASC) ;
DROP INDEX STCKL_ENID_XU;
CREATE UNIQUE INDEX STCKL_ENID_XU ON STEP_CHECKLIST (ELEMENT_ID ASC) ;
DROP INDEX STCKL_SID_XX;
CREATE  INDEX STCKL_SID_XX ON STEP_CHECKLIST (STEP_ID ASC) ;
DROP INDEX STPART_ENID_XU;
CREATE UNIQUE INDEX STPART_ENID_XU ON STEP_PARTICIPANT (ELEMENT_ID ASC) ;
DROP INDEX STPART_SID_XX;
CREATE  INDEX STPART_SID_XX ON STEP_PARTICIPANT (STEP_ID ASC,ASSIGNED_ID ASC) ;
DROP INDEX WKFRL_ENID_XU;
CREATE UNIQUE INDEX WKFRL_ENID_XU ON WKF_ROLES (ELEMENT_ID ASC) ;
DROP INDEX OUTSTEP_ENID_XU;
CREATE UNIQUE INDEX OUTSTEP_ENID_XU ON OUTCOME_STEPS (ELEMENT_ID ASC) ;
DROP INDEX OUTSTEP_OCID_XU;
CREATE UNIQUE INDEX OUTSTEP_OCID_XU ON OUTCOME_STEPS (OUTCOME_ID ASC,STEP_ID ASC) ;
DROP INDEX OUTADPT_ENID_XU;
CREATE UNIQUE INDEX OUTADPT_ENID_XU ON OUTCOME_ADOPTS (ELEMENT_ID ASC) ;
DROP INDEX OUTADPT_OCID_XU;
CREATE UNIQUE INDEX OUTADPT_OCID_XU ON OUTCOME_ADOPTS (OUTCOME_ID ASC,ADOPT_ELEMENT_ID ASC) ;
DROP INDEX TMTOM_ENID_XU;
CREATE UNIQUE INDEX TMTOM_ENID_XU ON TMT_OUTCOME_MONITORS (ELEMENT_ID ASC) ;
DROP INDEX TMTOM_OUID_XU;
CREATE  INDEX TMTOM_OUID_XU ON TMT_OUTCOME_MONITORS (OUTCOME_ID ASC) ;
DROP INDEX TMTOM_OAID_XU;
CREATE  INDEX TMTOM_OAID_XU ON TMT_OUTCOME_MONITORS (OUTCOME_ADOPT_ID ASC) ;
DROP INDEX TPWFPC_PJPCID_XU;
CREATE UNIQUE INDEX TPWFPC_PJPCID_XU ON PROJECT_WKF_PROCESS (PROJECT_ID ASC,PROCESS_ID ASC) ;
DROP INDEX PWROL_PJRID_XU;
CREATE UNIQUE INDEX PWROL_PJRID_XU ON PROJECT_WKF_ROLES (PROJECT_ID ASC,WKF_ROLE_ID ASC) ;
DROP INDEX WKFA_WAID_XU;
CREATE UNIQUE INDEX WKFA_WAID_XU ON WKF_ATTACHMENTS (WORKFLOW_ID,ATTACHMENT_ID) ;
DROP INDEX WKFCL_WCID_XU;
CREATE UNIQUE INDEX WKFCL_WCID_XU ON WKF_CHECKLIST (WKF_REPLY_ID ASC,CHECKLIST_ID ASC) ;
DROP INDEX WKFOT_WOID_XU;
CREATE UNIQUE INDEX WKFOT_WOID_XU ON WKF_OUTCOMES (WORKFLOW_ID ASC,OUTCOME_ID ASC,MONITOR_ID ASC,NEXT_STEP_ID ASC) ;
DROP INDEX WKFOT_WOAID_XU;
CREATE UNIQUE INDEX WKFOT_WOAID_XU ON WKF_OUTCOME_ADOPTS (WORKFLOW_ID ASC,OUTCOME_ID ASC,OUTCOME_ADOPT_ID ASC) ;
DROP INDEX WKFMI_WMOID_XU;
CREATE UNIQUE INDEX WKFMI_WMOID_XU ON WKF_MONITOR_ITEMS (WORKFLOW_ID ASC,MONITOR_ID ASC,MONITOR_ITEM_ID ASC) ;
DROP INDEX PJC_CHSE_XU;
CREATE UNIQUE INDEX PJC_CHSE_XU ON PJC_CHARTS_SECURITY (SECURITY_ID ASC,CHART_ID ASC) ;
DROP INDEX TCF_ENID_XU;
CREATE UNIQUE INDEX TCF_ENID_XU ON TMT_CUSTOM_FIELDS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TCF_RK_CU;
CREATE UNIQUE INDEX TCF_RK_CU ON TMT_CUSTOM_FIELDS (RANK ASC)  PCTFREE = 30;
DROP INDEX TCPORT_ENID_XU;
CREATE UNIQUE INDEX TCPORT_ENID_XU ON TMT_CUSTOM_PORTLETS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TCPORT_RK_CU;
CREATE UNIQUE INDEX TCPORT_RK_CU ON TMT_CUSTOM_PORTLETS (RANK ASC)  PCTFREE = 30;
DROP INDEX TWBSCF_ENID_XU;
CREATE UNIQUE INDEX TWBSCF_ENID_XU ON TMT_WBS_CRI_CUSTOM_FIELDS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TWBSCF_RK_CU;
CREATE UNIQUE INDEX TWBSCF_RK_CU ON TMT_WBS_CRI_CUSTOM_FIELDS (RANK ASC)  PCTFREE = 30;
DROP INDEX TDOCCF_ENID_XU;
CREATE UNIQUE INDEX TDOCCF_ENID_XU ON TMT_DOC_CUSTOM_FIELDS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TDOCCF_RK_CU;
CREATE UNIQUE INDEX TDOCCF_RK_CU ON TMT_DOC_CUSTOM_FIELDS (RANK ASC)  PCTFREE = 30;
DROP INDEX TRESCF_ENID_XU;
CREATE UNIQUE INDEX TRESCF_ENID_XU ON TMT_RESOURCE_CUSTOM_FIELDS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TRESCF_RK_CU;
CREATE UNIQUE INDEX TRESCF_RK_CU ON TMT_RESOURCE_CUSTOM_FIELDS (RANK ASC)  PCTFREE = 30;
DROP INDEX TCLIENTCF_ENID_XU;
CREATE UNIQUE INDEX TCLIENTCF_ENID_XU ON TMT_CLIENT_CUSTOM_FIELDS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TCLIENTCF_RK_CU;
CREATE UNIQUE INDEX TCLIENTCF_RK_CU ON TMT_CLIENT_CUSTOM_FIELDS (RANK ASC)  PCTFREE = 30;
DROP INDEX TASSETCF_ENID_XU;
CREATE UNIQUE INDEX TASSETCF_ENID_XU ON TMT_ASSET_CUSTOM_FIELDS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TASSETCF_RK_CU;
CREATE UNIQUE INDEX TASSETCF_RK_CU ON TMT_ASSET_CUSTOM_FIELDS (RANK ASC)  PCTFREE = 30;
DROP INDEX TACT_ENID_XU;
CREATE UNIQUE INDEX TACT_ENID_XU ON TMT_ACTIONS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TACT_RK_CU;
CREATE UNIQUE INDEX TACT_RK_CU ON TMT_ACTIONS (RANK ASC)  PCTFREE = 30;
DROP INDEX TEXTA_ENID_XU;
CREATE UNIQUE INDEX TEXTA_ENID_XU ON TMT_EXTERNAL_ACTIONS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TEXTA_RK_CU;
CREATE UNIQUE INDEX TEXTA_RK_CU ON TMT_EXTERNAL_ACTIONS (RANK ASC)  PCTFREE = 30;
DROP INDEX ASNACT_EID_XU;
CREATE UNIQUE INDEX ASNACT_EID_XU ON ASSIGNED_ACTIONS (ELEMENT_ID ASC) ;
DROP INDEX ASNACT_PID_XX;
CREATE  INDEX ASNACT_PID_XX ON ASSIGNED_ACTIONS (PARENT_ID) ;
DROP INDEX ASNACT_AID_XX;
CREATE  INDEX ASNACT_AID_XX ON ASSIGNED_ACTIONS (ACTION_ID) ;
DROP INDEX ASNEACT_EID_XU;
CREATE UNIQUE INDEX ASNEACT_EID_XU ON ASSIGNED_EXTERNAL_ACTIONS (ELEMENT_ID ASC) ;
DROP INDEX ASNEACT_PID_XX;
CREATE  INDEX ASNEACT_PID_XX ON ASSIGNED_EXTERNAL_ACTIONS (PARENT_ID ASC) ;
DROP INDEX ASNEACT_AID_XX;
CREATE  INDEX ASNEACT_AID_XX ON ASSIGNED_EXTERNAL_ACTIONS (ACTION_ID ASC) ;
DROP INDEX ASNPROC_EID_XU;
CREATE UNIQUE INDEX ASNPROC_EID_XU ON ASSIGNED_PROCESS (ELEMENT_ID ASC) ;
DROP INDEX ASNPROC_PID_XX;
CREATE  INDEX ASNPROC_PID_XX ON ASSIGNED_PROCESS (PARENT_ID) ;
DROP INDEX ASNPROC_AID_XX;
CREATE  INDEX ASNPROC_AID_XX ON ASSIGNED_PROCESS (PROCESS_ID) ;
DROP INDEX RESAORG_A_UX;
CREATE UNIQUE INDEX RESAORG_A_UX ON RES_ASSIGNED_ORG (ELEMENT_ID ASC) ;
DROP INDEX PRJAORG_A_UX;
CREATE UNIQUE INDEX PRJAORG_A_UX ON PRJ_ASSIGNED_ORG (ELEMENT_ID ASC) ;
DROP INDEX RESORGF_UX;
CREATE UNIQUE INDEX RESORGF_UX ON RES_ORG_FILTER (ELEMENT_ID ASC) ;
DROP INDEX SCHED_PRS_XU;
CREATE UNIQUE INDEX SCHED_PRS_XU ON SCHED_PROCESSES (ELEMENT_ID ASC)  PCTFREE = 30;
DROP INDEX EXTAM_REF_XU;
CREATE UNIQUE INDEX EXTAM_REF_XU ON EXTERNAL_ACTION_MONITOR (REFERENCE_NUMBER ASC) ;
DROP INDEX EXTAM_EAID_XX;
CREATE  INDEX EXTAM_EAID_XX ON EXTERNAL_ACTION_MONITOR (ELEMENT_ID ASC,ACTION_ID ASC) ;
DROP INDEX WKFPCOL_ENID_XU;
CREATE UNIQUE INDEX WKFPCOL_ENID_XU ON WORKFLOW_PREDEF_COLUMNS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX WKFPCOL_RK_CU;
CREATE UNIQUE INDEX WKFPCOL_RK_CU ON WORKFLOW_PREDEF_COLUMNS (RANK ASC)  PCTFREE = 30;
DROP INDEX TWKFQ_ENID_XU;
CREATE UNIQUE INDEX TWKFQ_ENID_XU ON TMT_WORKFLOW_QUERY (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TWKFQ_RK_CU;
CREATE UNIQUE INDEX TWKFQ_RK_CU ON TMT_WORKFLOW_QUERY (RANK ASC)  PCTFREE = 30;
DROP INDEX TMDS_ENID_XU;
CREATE UNIQUE INDEX TMDS_ENID_XU ON TMT_MASTER_DATASETS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TMDS_RK_CU;
CREATE UNIQUE INDEX TMDS_RK_CU ON TMT_MASTER_DATASETS (RANK ASC)  PCTFREE = 30;
DROP INDEX TCATCOL_ENID_XU;
CREATE UNIQUE INDEX TCATCOL_ENID_XU ON TMT_CATEGORY_COLUMNS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TCATCOL_RK_CU;
CREATE UNIQUE INDEX TCATCOL_RK_CU ON TMT_CATEGORY_COLUMNS (RANK ASC)  PCTFREE = 30;
DROP INDEX MDSCAT_MCID_XU;
CREATE  INDEX MDSCAT_MCID_XU ON MDS_CATEGORY (CATEGORY_ID) ;
DROP INDEX CDS_RANK;
CREATE UNIQUE INDEX CDS_RANK ON TMT_CUSTOM_DATASETS (RANK ASC)  PCTFREE = 30;
DROP INDEX CDSAC_EID_XU;
CREATE UNIQUE INDEX CDSAC_EID_XU ON CDS_ASSIGNED_COLUMNS (ELEMENT_ID ASC) ;
DROP INDEX CDSAC_FID_XX;
CREATE  INDEX CDSAC_FID_XX ON CDS_ASSIGNED_COLUMNS (FIELD_ID) ;
DROP INDEX TMDSCALF_ENID_XU;
CREATE UNIQUE INDEX TMDSCALF_ENID_XU ON TMT_MDS_CALC_FIELDS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TMDSCALF_RK_CU;
CREATE UNIQUE INDEX TMDSCALF_RK_CU ON TMT_MDS_CALC_FIELDS (RANK ASC)  PCTFREE = 30;
DROP INDEX CDSQP_EID_XU;
CREATE UNIQUE INDEX CDSQP_EID_XU ON CDS_QUERY_PARAMS (ELEMENT_ID ASC) ;
DROP INDEX CDSQP_QID_XU;
CREATE  INDEX CDSQP_QID_XU ON CDS_QUERY_PARAMS (QUERY_ID,FIELD_ID,TYPE_ID) ;
DROP INDEX TIMDS_ENID_XU;
CREATE UNIQUE INDEX TIMDS_ENID_XU ON TMT_INHERITANCE_MDS (ELEMENT_ID ASC,PARENT_ID ASC) ;
DROP INDEX TIMDS_RK_CU;
CREATE UNIQUE INDEX TIMDS_RK_CU ON TMT_INHERITANCE_MDS (RANK ASC)  PCTFREE = 30;
DROP INDEX CFTM_FFT_XU;
CREATE UNIQUE INDEX CFTM_FFT_XU ON CUSTOM_FIELD_TYPE_MAPPING (FIELD_TYPE ASC,PREDEF_FIELD_TYPE ASC) ;
DROP INDEX QUERY_QID_XX;
CREATE  INDEX QUERY_QID_XX ON QUERY_CONDITION (QUERY_ID ASC,LEVEL_ID ASC) ;
