--/********************************************************************
--# (C) Copyright IBM Corp.  2005-2006
--# The source code for this program is not published or otherwise
--# divested of its trade secrets, irrespective of what has been
--# deposited with the U.S. Copyright Office.
--#********************************************************************/
spool logs/check.log
SET FEED OFF
select distinct object_type, status, count(status) as your_RPM_database,
case when status = 'INVALID' THEN 0
ELSE CASE WHEN OBJECT_TYPE='FUNCTION' THEN 2227
ELSE CASE WHEN OBJECT_TYPE='LIBRARY' THEN 1
ELSE CASE WHEN OBJECT_TYPE='PACKAGE' THEN 13
ELSE CASE WHEN OBJECT_TYPE='PACKAGE BODY' THEN 10
ELSE CASE WHEN OBJECT_TYPE='PROCEDURE' THEN 5
ELSE CASE WHEN OBJECT_TYPE='SEQUENCE' THEN 14
ELSE CASE WHEN OBJECT_TYPE='TRIGGER' THEN 92
ELSE 0
END END END END END END END END AS NUMBER_OF_OBJECTS_MUST_BE
 from user_objects where object_type <> 'TABLE' and object_type <>'INDEX' and object_type <> 'LOB' group by object_type, status 
union
select distinct o.object_type, o.status, count(o.status) as your_RPM_database,
case when status = 'INVALID' THEN 0
ELSE 86  END AS NUMBER_OF_OBJECTS_MUST_BE
 from user_objects o,user_lobs l where l.segment_name=o.object_name and  o.object_type = 'LOB'  and l.table_name in (
'ALERTS',
'ASSET_RTF',
'CDS_COLUMN_LIST',
'CLIENT_RTF',
'CRI_RTF',
'DOCUMENT_BLOBS',
'DOC_RTF',
'EMPTYLOB',
'FS_XML_MONITOR',
'HISTORY_ASSETS',
'HISTORY_ASSET_DOCUMENTS',
'HISTORY_ASSET_RTF',
'HISTORY_ASSIGNED_SCORECARDS',
'HISTORY_CLIENTS',
'HISTORY_CLIENT_DOCUMENTS',
'HISTORY_CLIENT_RTF',
'HISTORY_CRI',
'HISTORY_CRI_RTF',
'HISTORY_DOCUMENTS',
'HISTORY_DOC_RTF',
'HISTORY_POOLS',
'HISTORY_POOL_DOCUMENTS',
'HISTORY_RESOURCES',
'HISTORY_RESOURCE_DOCUMENTS',
'HISTORY_VENDORS',
'HISTORY_VENDOR_DOCUMENTS',
'HISTORY_WBS',
'HISTORY_WBS_RTF',
'PMO_ASSET_VIEW',
'PMO_ASSIGN_STR',
'PMO_COPY_WBS',
'PMO_CRI_AT',
'PMO_CRI_PAT',
'PMO_FINANCIAL_AR',
'PMO_FINANCIAL_PAT',
'PMO_PORTFOLIO',
'PMO_PVT_CLIENT_ATTR',
'PMO_PVT_FLAT_CLIENT_ATTR',
'PMO_PVT_FLAT_TSK_PRED',
'PMO_PVT_FLAT_TSK_SUCC',
'PMO_PVT_TSK_PRED',
'PMO_PVT_TSK_SUCC',
'PMO_RPT_AR',
'PMO_TMP_ASSETS',
'PMO_TMP_ASSIGN_STRING',
'PMO_TMP_COPY_DOC',
'PMO_TMP_SEARCH',
'PMO_UG_DOCUMENTS',
'PMO_WBS_PAT',
'RESOURCES',
'TASK_ASSIGNMENTS',
'TMP_ASSIGNED_SCD',
'TMP_WBS_ATTRIBUTE_LIST',
'TMT_ASSETS',
'TMT_ASSET_DOCUMENTS',
'TMT_ASSIGNED_SCORECARDS',
'TMT_CLIENTS',
'TMT_CLIENT_DOCUMENTS',
'TMT_CRI',
'TMT_DOCUMENTS',
'TMT_POOLS',
'TMT_POOL_DOCUMENTS',
'TMT_RESOURCE_DOCUMENTS',
'TMT_VENDORS',
'TMT_VENDOR_DOCUMENTS',
'TMT_WBS',
'TMT_WORKFLOWS',
'WBS_RTF'
)
group by object_type, status 
union
select distinct object_type, status, count(status) as your_RPM_database,
case when status = 'INVALID' THEN 0
ELSE 632 END AS NUMBER_OF_OBJECTS_MUST_BE
 from user_objects where object_type='TABLE' and object_name in (
'ACTIVITIES',
'ALERTS',
'ALERT_MESSAGES',
'ALERT_MSG_PREDEF_COLUMN',
'ASSET_CROSS_CHARGE',
'ASSET_DEPENDENCIES',
'ASSET_DEPRECIATION',
'ASSET_MAINTENANCE',
'ASSET_ORGANIZATIONS',
'ASSET_REFERENCES',
'ASSET_RESOURCES',
'ASSET_RTF',
'ASSIGNED_ACTIONS',
'ASSIGNED_EXTERNAL_ACTIONS',
'ASSIGNED_PROCESS',
'BUDGETS',
'CALENDAR_DAY_OF_YEAR',
'CALENDAR_EXCEPTIONS',
'CDS_ASSIGNED_COLUMNS',
'CDS_COLUMN_LIST',
'CDS_FIELDS',
'CDS_HIERARCHY',
'CDS_QUERY_PARAMS',
'CHANGE_LOG',
'CHECK_CRI_STATUS',
'CHECK_DOC_STATUS',
'CLIENT_REFERENCES',
'CLIENT_RTF',
'CONTRACT_BREAKDOWN',
'COST_APPROVAL',
'COST_APPROVAL_STATUS',
'CRIDEPENDENCIES',
'CRI_RTF',
'CRI_TYPES',
'CURRENCY_EXCHANGES',
'CUSTOM_FIELD_TYPE_MAPPING',
'DEPENDENCIES',
'DETAIL_TIMESHEETS',
'DOCUMENT_BLOBS',
'DOC_RTF',
'EFFORT_WEEK',
'EMPTYLOB',
'EXTERNAL_ACTION_MONITOR',
'FAVORITE_ACTIVITIES',
'FISCAL_CALENDAR',
'FS_XML_MONITOR',
'HISTORY_ASSETS',
'HISTORY_ASSET_DOCUMENTS',
'HISTORY_ASSET_RTF',
'HISTORY_ASSIGNED_SCORECARDS',
'HISTORY_CALENDARS',
'HISTORY_CLIENTS',
'HISTORY_CLIENT_DOCUMENTS',
'HISTORY_CLIENT_RTF',
'HISTORY_CRI',
'HISTORY_CRI_RTF',
'HISTORY_DOCUMENTS',
'HISTORY_DOCUMENT_SCORECARDS',
'HISTORY_DOC_RTF',
'HISTORY_POOLS',
'HISTORY_POOL_DOCUMENTS',
'HISTORY_PUBLISHED_SCORECARDS',
'HISTORY_RESOURCES',
'HISTORY_RESOURCE_DOCUMENTS',
'HISTORY_VENDORS',
'HISTORY_VENDOR_DOCUMENTS',
'HISTORY_WBS',
'HISTORY_WBS_RTF',
'LEVEL_TASK_DAY_OF_YEAR',
'LEV_ACT_UIDS',
'LEV_ALL_PROJECTS',
'LEV_ALL_PROJECTS_X',
'LEV_ALL_PROJECTS_Y',
'LEV_CAL_TREE',
'LEV_CIRC_1',
'LEV_CIRC_2',
'LEV_CIRC_3',
'LEV_DELTA_TMY',
'LEV_D_SCENARIOS_1',
'LEV_D_SCENARIOS_2',
'LEV_D_SCENARIOS_3',
'LEV_INPUT_ASS_DATA',
'LEV_INPUT_DATA',
'LEV_PROJECT_ASSIGNMENT',
'LEV_RES_UIDS',
'LEV_SCENARIO_NAME',
'LEV_TMP_LOCKED',
'LEV_TMP_UNLOCK',
'LEV_TMT_WBS',
'LEV_WHATIF_PA',
'LEV_WHATIF_WBS',
'LOCKED_BY_CRI',
'LOCKED_BY_WBS',
'MDS_CATEGORY',
'OUTCOME_ADOPTS',
'OUTCOME_STEPS',
'PARENT_TEMPLATED_DOCS',
'PDA_LOOKUP',
'PENDING_MONITOR',
'PJC_CHARTS_SECURITY',
'PMO_ALERTS_PARAM_VALUE',
'PMO_ALERTS_VALUE_LIST',
'PMO_ALERT_CONTACT_LIST',
'PMO_ASSET_VIEW',
'PMO_ASSIGN_STR',
'PMO_BACKUP_RANK',
'PMO_BENEFITS',
'PMO_BUDGETS',
'PMO_BUDGET_ENTRY',
'PMO_CHANGED_ASSIGNMENTS',
'PMO_CHANGED_TIMEPHASE',
'PMO_CHARGEBACK_BREAKDOWN',
'PMO_CIRCULAR_DEPEND',
'PMO_CIRCULAR_DEPEND1',
'PMO_CIRCULAR_WBS',
'PMO_CONDITIONS',
'PMO_CONTOUR_DAY',
'PMO_COPY_BUDGETS',
'PMO_COPY_CRI',
'PMO_COPY_DEFAULT_ATTRIBUTE',
'PMO_COPY_PROF',
'PMO_COPY_WBS',
'PMO_COSTS',
'PMO_CRI_AT',
'PMO_CRI_DOC_VIEW',
'PMO_CRI_DUP_VIEW',
'PMO_CRI_PAT',
'PMO_CRI_PRJ',
'PMO_CRI_VIEW',
'PMO_DB_QUERY',
'PMO_DEFAULTS',
'PMO_DELTA_TIMEPHASE',
'PMO_DEPEND',
'PMO_DEPR_MAINT',
'PMO_DOC_PARENT_RANK',
'PMO_DOC_PRJ',
'PMO_DOC_TYPE',
'PMO_DOC_VIEW',
'PMO_EXCEPTIONS',
'PMO_EXCEPTION_COUNT',
'PMO_EXCHANGE_RATE',
'PMO_FAD_PROJECTS',
'PMO_FINANCIAL_AR',
'PMO_FINANCIAL_AT',
'PMO_FINANCIAL_AT1',
'PMO_FINANCIAL_AT2',
'PMO_FINANCIAL_CC',
'PMO_FINANCIAL_EXC',
'PMO_FINANCIAL_PAT',
'PMO_FINANCIAL_PEXC',
'PMO_FINANCIAL_PROJECTS',
'PMO_FINANCIAL_PSC',
'PMO_FINANCIAL_RES',
'PMO_FINANCIAL_RESULTSET',
'PMO_FINANCIAL_RESULTSET_EX',
'PMO_FINANCIAL_SC',
'PMO_FINANCIAL_TMP_PROJECTS',
'PMO_FIX_DOC',
'PMO_FROM_TDY',
'PMO_GROUP_RANK',
'PMO_LABOR_BUDGETS',
'PMO_LABOR_QUARTER',
'PMO_LOCK_PROJECTS',
'PMO_MIG_POOLS',
'PMO_MONTH_FLAGS',
'PMO_MY_POOLS_1',
'PMO_MY_POOLS_2',
'PMO_MY_RESOURCES',
'PMO_MY_TEAM_RES',
'PMO_NAME_LIST',
'PMO_NEW_DATES_LIST',
'PMO_NEW_TIMEPHASE',
'PMO_NON_LABOR_QUARTER',
'PMO_PBB_PIVOT',
'PMO_PBB_PORTFOLIOS',
'PMO_PBB_PROJECTS',
'PMO_PBB_TMP_PROJECTS',
'PMO_PIVOT_ASSIGNMENTS',
'PMO_PIVOT_PROJECTS',
'PMO_PIVOT_PROJECT_MANANGER',
'PMO_PIVOT_PROJECT_RESOURCES',
'PMO_PIVOT_PROJECT_TASKS',
'PMO_PIVOT_TIMESHEETS',
'PMO_PIVOT_TIMESHEETS01',
'PMO_PIVOT_TMP_CDY',
'PMO_PIVOT_TMP_PROJECTS',
'PMO_PIVOT_TMP_RES1',
'PMO_PIVOT_TMP_RES2',
'PMO_PIVOT_TMP_RESOURCES',
'PMO_PIVOT_TMP_RES_CAL',
'PMO_PIVOT_TMP_RES_MONTH1',
'PMO_PIVOT_TMP_TDY',
'PMO_PIVOT_TS_OUT',
'PMO_PIVOT_TS_OUT01',
'PMO_POOL_TIMESHEETS',
'PMO_POOL_TIMESHEETS_ATTR',
'PMO_POOL_TS_OUT',
'PMO_POOL_TS_OUT_ATTR',
'PMO_POOL_TS_RESOURCES',
'PMO_POOL_VIEW',
'PMO_PORTAL_PAGE_COUNTER',
'PMO_PORTAL_PAGE_DET',
'PMO_PORTFOLIO',
'PMO_PRED_C',
'PMO_PRED_DATES_CHANGED_LIST',
'PMO_PRIORITY_RULES',
'PMO_PROJECT_BB',
'PMO_PROJECT_COSTS',
'PMO_PROJECT_DISCOUNT',
'PMO_PROJECT_ISS',
'PMO_PROJECT_ROI',
'PMO_PROJECT_SBB',
'PMO_PROJECT_VAR_DATA',
'PMO_PVT_ASSIGNMENTS',
'PMO_PVT_CLIENTS',
'PMO_PVT_CLIENT_ATTR',
'PMO_PVT_CRI',
'PMO_PVT_CRI_ATTR',
'PMO_PVT_CRI_ATTR_MATRIX',
'PMO_PVT_FINANCIAL',
'PMO_PVT_FISCAL_CALENDAR',
'PMO_PVT_FISCAL_YEAR_MONTH',
'PMO_PVT_FLAT_CLIENT_ATTR',
'PMO_PVT_FLAT_TSK_PRED',
'PMO_PVT_FLAT_TSK_SUCC',
'PMO_PVT_MONTH_FLAGS',
'PMO_PVT_PARENTS',
'PMO_PVT_POOLS',
'PMO_PVT_PORTFOLIOS',
'PMO_PVT_PRJ_COSTS',
'PMO_PVT_PRJ_FINANCIAL_TOTAL',
'PMO_PVT_PRJ_FINANCIAL_YEAR',
'PMO_PVT_PROFILES',
'PMO_PVT_PROFILE_IDS',
'PMO_PVT_PROF_RES_IDS',
'PMO_PVT_PROJECTS',
'PMO_PVT_PROJECT_BUDGET',
'PMO_PVT_PROJECT_DISCOUNT_RATE',
'PMO_PVT_PROJECT_FINANCIAL',
'PMO_PVT_PROJECT_TOTAL_BUDGET',
'PMO_PVT_RESOURCES',
'PMO_PVT_RESOURCE_IDS',
'PMO_PVT_RES_CAL_AVL',
'PMO_PVT_ROOT_DEL',
'PMO_PVT_ROOT_PROJECTS',
'PMO_PVT_TASKS',
'PMO_PVT_TIMESHEETS',
'PMO_PVT_TSK_PRED',
'PMO_PVT_TSK_SUCC',
'PMO_PVT_UTILIZATION',
'PMO_PVT_WORK_MONTHLY',
'PMO_PVT_WORK_WEEKLY',
'PMO_QR_LIST',
'PMO_REBUILD_NEXT_LEVEL_DATA',
'PMO_RELATED_PROJECTS',
'PMO_RES_CDY',
'PMO_RES_MIN_MAX',
'PMO_RES_TS_AGG',
'PMO_RES_TS_DETAILS',
'PMO_RFS_MM',
'PMO_RFS_PROJECTS',
'PMO_RFS_TDY',
'PMO_RFS_TDY2',
'PMO_ROLLUP_BIT',
'PMO_ROLLUP_CRI',
'PMO_ROLLUP_WBS',
'PMO_RPC_LOG',
'PMO_RPT_AR',
'PMO_RPT_PROJECTS_03',
'PMO_RPT_PROJECTS_04',
'PMO_RPT_PROJECTS_05',
'PMO_RPT_PROJECTS_06',
'PMO_RPT_RES',
'PMO_RPT_SCORECARDS',
'PMO_SCD_DETAILS',
'PMO_SCD_PROJECTS',
'PMO_SCD_VIEW',
'PMO_SCENARIOS',
'PMO_STAFFING_PROFILE',
'PMO_STATE_TASK_RES_LIST',
'PMO_STATE_TASK_WKF_CONTACTS',
'PMO_STEP_PARTICIPANT',
'PMO_SUCC_C_P',
'PMO_TARGET_SOURCE',
'PMO_TIMEPHASED_CB',
'PMO_TIMEPHASED_CC',
'PMO_TMP_ASGNDRES_INFO',
'PMO_TMP_ASSETS',
'PMO_TMP_ASSIGNED',
'PMO_TMP_ASSIGN_AGGREGATION',
'PMO_TMP_ASSIGN_STRING',
'PMO_TMP_CDY',
'PMO_TMP_CHARCODE_IDS',
'PMO_TMP_CLIENTS_001',
'PMO_TMP_CLIENTS_002',
'PMO_TMP_COPY_DOC',
'PMO_TMP_COST_CENTER_LIST',
'PMO_TMP_CPLN01_TEMP',
'PMO_TMP_CPLNF_0001',
'PMO_TMP_CPLN_0001',
'PMO_TMP_CPLN_0002',
'PMO_TMP_CPLN_0003',
'PMO_TMP_CPLN_0005',
'PMO_TMP_CPLN_0006',
'PMO_TMP_CPLN_0007',
'PMO_TMP_CPLN_007A',
'PMO_TMP_CP_PRJ',
'PMO_TMP_CRIFUNC_0001',
'PMO_TMP_CRI_DEPND',
'PMO_TMP_DAYSUM_PA',
'PMO_TMP_DAYSUM_TA',
'PMO_TMP_DCRI',
'PMO_TMP_DELETE',
'PMO_TMP_DELIVERABLES',
'PMO_TMP_DELPA',
'PMO_TMP_DEL_AGGREGATION',
'PMO_TMP_DEL_AST_DOC',
'PMO_TMP_DEL_CLN_DOC',
'PMO_TMP_DEL_DOC',
'PMO_TMP_DEL_POL_DOC',
'PMO_TMP_DEL_RES_DOC',
'PMO_TMP_DEL_VDR_DOC',
'PMO_TMP_DLV',
'PMO_TMP_DOC',
'PMO_TMP_EVALUE_0001',
'PMO_TMP_EVERY',
'PMO_TMP_FIXDUR',
'PMO_TMP_FTB',
'PMO_TMP_IMXWBS_0001',
'PMO_TMP_IMXWBS_0002',
'PMO_TMP_IMXWBS_0003',
'PMO_TMP_IMXWBS_0004',
'PMO_TMP_IMXWBS_0005',
'PMO_TMP_IMXWBS_0006',
'PMO_TMP_IMXWBS_0007',
'PMO_TMP_IMXWBS_0008',
'PMO_TMP_IMXWBS_0009',
'PMO_TMP_IMXWBS_0010',
'PMO_TMP_IMXWBS_00PA',
'PMO_TMP_MD',
'PMO_TMP_MIN_MAX',
'PMO_TMP_MVW_0001',
'PMO_TMP_MVW_IDLIST',
'PMO_TMP_PA_CNTR',
'PMO_TMP_PA_SUM',
'PMO_TMP_POOLS_0001',
'PMO_TMP_POOLS_0002',
'PMO_TMP_POOLS_0003',
'PMO_TMP_POOL_RES_TREE',
'PMO_TMP_PRJ',
'PMO_TMP_PRJ_AGGREGATION',
'PMO_TMP_PRJ_DLV',
'PMO_TMP_PRJ_INFO',
'PMO_TMP_PRJ_LIST',
'PMO_TMP_PROCESS_ID',
'PMO_TMP_PROF_INFO',
'PMO_TMP_PROJECTS_00',
'PMO_TMP_PROJECTS_00_X',
'PMO_TMP_PROJECTS_00_Y',
'PMO_TMP_PROJECTS_01',
'PMO_TMP_PROJECTS_03',
'PMO_TMP_PROJECTS_ALL',
'PMO_TMP_PROJECTS_ALL_X',
'PMO_TMP_PROJECTS_ALL_Y',
'PMO_TMP_PROJECTS_COPY',
'PMO_TMP_PROJECT_LIST',
'PMO_TMP_REPORT_0001',
'PMO_TMP_REPORT_0002',
'PMO_TMP_REPORT_0003',
'PMO_TMP_REPORT_0004',
'PMO_TMP_RES',
'PMO_TMP_RESOURCE_001',
'PMO_TMP_RESOURCE_01',
'PMO_TMP_RESOURCE_DATA',
'PMO_TMP_RESPRJ',
'PMO_TMP_RES_ACTUAL_HOURS',
'PMO_TMP_RES_ACTUAL_HOURS_AGG',
'PMO_TMP_RES_AGGREGATION',
'PMO_TMP_RES_DATA',
'PMO_TMP_RES_INFO',
'PMO_TMP_RES_LIST',
'PMO_TMP_RES_RATE',
'PMO_TMP_RES_SET',
'PMO_TMP_RM_POOLS',
'PMO_TMP_ROLES',
'PMO_TMP_RTA',
'PMO_TMP_RUNTOT1',
'PMO_TMP_SCORECARDS',
'PMO_TMP_SEARCH',
'PMO_TMP_SECURITY',
'PMO_TMP_SELECTED_PROJECTS',
'PMO_TMP_STATE_TASK_RES_LIST',
'PMO_TMP_SUM',
'PMO_TMP_TA',
'PMO_TMP_TAD',
'PMO_TMP_TASK_AGGREGATION',
'PMO_TMP_TASK_TYPE',
'PMO_TMP_TA_02',
'PMO_TMP_TDOY',
'PMO_TMP_TDY',
'PMO_TMP_TDY1',
'PMO_TMP_TDYD',
'PMO_TMP_TDY_AVG',
'PMO_TMP_TDY_LEVEL',
'PMO_TMP_TIMEPHASE',
'PMO_TMP_TPHASE_ACTUAL',
'PMO_TMP_TRANSFER',
'PMO_TMP_TSK_FD',
'PMO_TMP_TSK_FD1',
'PMO_TMP_TSK_FD2',
'PMO_TMP_TS_APPV',
'PMO_TMP_TS_WEEKS',
'PMO_TMP_TWP9',
'PMO_TMP_VC_DEL_AGGREGATION',
'PMO_TMP_VC_PRJ_AGGREGATION',
'PMO_TMP_VC_PRJ_TASKS',
'PMO_TMP_VC_RES_AGGREGATION',
'PMO_TMP_VC_RES_TASKS',
'PMO_TMP_VC_ROOT_AGGREGATION',
'PMO_TMP_VC_TASKS',
'PMO_TMP_VIEWSC_0001',
'PMO_TMP_VIEWSC_00010',
'PMO_TMP_VIEWSC_00011',
'PMO_TMP_VIEWSC_00012',
'PMO_TMP_VIEWSC_00013',
'PMO_TMP_VIEWSC_00014',
'PMO_TMP_VIEWSC_00015',
'PMO_TMP_VIEWSC_00016',
'PMO_TMP_VIEWSC_00017',
'PMO_TMP_VIEWSC_0002',
'PMO_TMP_VIEWSC_0003',
'PMO_TMP_VIEWSC_0004',
'PMO_TMP_VIEWSC_0005',
'PMO_TMP_VIEWSC_0006',
'PMO_TMP_VIEWSC_0007',
'PMO_TMP_VIEWSC_0008',
'PMO_TMP_VIEWSC_0009',
'PMO_TMP_VIEWSPL_0002',
'PMO_TMP_VIEWSPL_00024',
'PMO_TMP_VIEWSPL_070A',
'PMO_TMP_VIEWSPL_PROJ',
'PMO_TMP_VIEWS_0002',
'PMO_TMP_VIEWS_01',
'PMO_TMP_VIEWS_LEVEL1',
'PMO_TMP_VIEWS_ROOT',
'PMO_TMP_VISIBLE_POOLS',
'PMO_TMP_VND_0001',
'PMO_TMP_VND_0002',
'PMO_TMP_VP_0001',
'PMO_TMP_VP_3005',
'PMO_TMP_VP_3006',
'PMO_TMP_VTS_00010',
'PMO_TMP_VTS_00011',
'PMO_TMP_VTS_00012',
'PMO_TMP_VTS_00013',
'PMO_TMP_VTS_0005',
'PMO_TMP_VTS_0006',
'PMO_TMP_VTS_RES10',
'PMO_TMP_WBS',
'PMO_TMP_WBS_01',
'PMO_TMP_WKF_0006',
'PMO_TS_ASSIGNMENTS',
'PMO_UG_ASSIGNMENTS',
'PMO_UG_BLOB_IDS',
'PMO_UG_DOCUMENTS',
'PMO_UG_DOCUMENT_IDS',
'PMO_WBS',
'PMO_WBS_AT',
'PMO_WBS_DEPEND',
'PMO_WBS_DLV',
'PMO_WBS_EXCEPTIONS',
'PMO_WBS_PAT',
'PMO_WBS_PRJ',
'PMO_WBS_PRJS',
'PMO_WBS_TSK',
'PMO_WBS_VIEW',
'PMO_WELCOME_PAGE',
'PMO_WIS_PRJS',
'PMO_WKF_ATTACHMENTS',
'POOL_REFERENCES',
'PRJ_ASSIGNED_ORG',
'PROCESS_DEFAULTS',
'PROC_LOG',
'PROFILES',
'PROJECT_ALERTS',
'PROJECT_ASSIGNMENTS',
'PROJECT_BUDGET_BREAKDOWN',
'PROJECT_CHARGEBACK',
'PROJECT_CHARGEBACK_BREAKDOWN',
'PROJECT_COSTBACK',
'PROJECT_COST_CENTERS',
'PROJECT_DETAILS',
'PROJECT_DISCOUNT',
'PROJECT_RECONCILIATION',
'PROJECT_STATE_DEF',
'PROJECT_STATE_TRG',
'PROJECT_WKF_PROCESS',
'PROJECT_WKF_ROLES',
'QUERY_CONDITION',
'RATES',
'RESOURCES',
'RESOURCE_ASSIGNMENTS',
'RESOURCE_ASSIGN_ROLES',
'RESOURCE_ASSIGN_SKILLS',
'RESOURCE_COST_CENTERS',
'RESOURCE_EDUCATION',
'RESOURCE_EMPLOYMENT_HISTORY',
'RESOURCE_INDUSTRY_EXPERIENCE',
'RESOURCE_PROJECT_HISTORY',
'RESOURCE_READINESS',
'RES_ASSIGNED_ORG',
'RES_ORG_FILTER',
'RM_ASSIGNMENTS',
'SCHED_PROCESSES',
'STATE_TASK_NEXT_STATE_CNFG',
'STEP_ASSOCIATED_ITEMS',
'STEP_CHECKLIST',
'STEP_PARTICIPANT',
'SUMMARY_TIMESHEETS',
'TASK_ASSIGNMENTS',
'TASK_DAY_OF_YEAR',
'TIMEPHASED_DELTA',
'TIMEPHASED_PROJECT',
'TIMESHEET_APPROVAL_STATUS',
'TMP_ASSIGNED_SCD',
'TMP_ATTRIBUTE_LIST',
'TMP_COL_MAPPING',
'TMP_DEL_RES_TOTAL_AVL',
'TMP_DOC_VIEW_PROJECTS_LIST',
'TMP_EFFORT_REPORT',
'TMP_FILTER_ORG_IDS',
'TMP_INHERIT_SECURITY',
'TMP_MDS_CATEGORIES',
'TMP_PARENT_SECURITY',
'TMP_PRJ_ASSIGNED_ORGS',
'TMP_PRJ_RES_TOTAL_AVL',
'TMP_PROJECTS_LIST',
'TMP_PUBLISHED_SCD',
'TMP_PVT_PRJ_LIST',
'TMP_PVT_PROJECT_LIST',
'TMP_PVT_WBS_LIST',
'TMP_QUERY_PARAM',
'TMP_RES_ASSIGNED_ORGS',
'TMP_SEARCH_KEYWORD',
'TMP_SELECTED_RESOURCES',
'TMP_STATE_TASK_ID',
'TMP_TASK_STATUS_SUPER_SET',
'TMP_TEMPLATE_NODES',
'TMP_TEMPLATE_NODES_CHILDREN',
'TMP_UNLOCKED_DOC',
'TMP_UNLOCKED_ITEMS',
'TMP_WBS_ATTRIBUTE',
'TMP_WBS_ATTRIBUTE_LIST',
'TMT_ACTIONS',
'TMT_ASSETS',
'TMT_ASSET_ATTRIBUTES',
'TMT_ASSET_CUSTOM_FIELDS',
'TMT_ASSET_DOCUMENTS',
'TMT_ASSIGNED_SCORECARDS',
'TMT_CALENDARS',
'TMT_CATEGORY_COLUMNS',
'TMT_CHARGECODES',
'TMT_CLIENTS',
'TMT_CLIENT_ATTRIBUTES',
'TMT_CLIENT_CUSTOM_FIELDS',
'TMT_CLIENT_DOCUMENTS',
'TMT_COMPETENCIES',
'TMT_CONTACTS',
'TMT_CONTRACTS',
'TMT_COSTS',
'TMT_CRI',
'TMT_CRI_ATTRIBUTES',
'TMT_CUSTOM_DATASETS',
'TMT_CUSTOM_FIELDS',
'TMT_CUSTOM_PORTLETS',
'TMT_DATAFIELDS',
'TMT_DOCUMENTS',
'TMT_DOCUMENT_ATTRIBUTES',
'TMT_DOC_CUSTOM_FIELDS',
'TMT_DOMAINS',
'TMT_EXTERNAL_ACTIONS',
'TMT_FACTORS',
'TMT_GEOGRAPHIES',
'TMT_GLOBAL_SECURITY',
'TMT_INHERITANCE_MDS',
'TMT_LAYOUTS',
'TMT_MASTER_DATASETS',
'TMT_MDS_CALC_FIELDS',
'TMT_NAB',
'TMT_ORGANIZATIONS',
'TMT_OUTCOME_MONITORS',
'TMT_POOLS',
'TMT_POOL_ATTRIBUTES',
'TMT_POOL_DOCUMENTS',
'TMT_PORTFOLIOS',
'TMT_PUBLISHED_SCORECARDS',
'TMT_REPORT_SECURITY',
'TMT_RESOURCE_CUSTOM_FIELDS',
'TMT_RESOURCE_DOCUMENTS',
'TMT_SCENARIOS',
'TMT_SCORECARDS_DEF_AST',
'TMT_SCORECARDS_DEF_CRI',
'TMT_SCORECARDS_DEF_RES',
'TMT_SCORECARDS_DEF_WBS',
'TMT_SETTINGS',
'TMT_TIMECODES',
'TMT_VENDORS',
'TMT_VENDOR_ATTRIBUTES',
'TMT_VENDOR_DOCUMENTS',
'TMT_WBS',
'TMT_WBS_ATTRIBUTES',
'TMT_WBS_CRI_CUSTOM_FIELDS',
'TMT_WORKFLOWS',
'TMT_WORKFLOW_CYCLES',
'TMT_WORKFLOW_QUERY',
'TRACE_PROCS',
'USER_SESSIONS',
'VENDOR_REFERENCES',
'VP_MTWP_PM_1',
'VP_MWP_TM_1',
'VP_MWP_TM_2',
'VP_MWP_TM_3',
'VP_MWP_TM_4',
'WBS_RTF',
'WKF_ATTACHMENTS',
'WKF_CHECKLIST',
'WKF_MONITOR_ITEMS',
'WKF_OUTCOMES',
'WKF_OUTCOME_ADOPTS',
'WKF_ROLES',
'WORKFLOW_PREDEF_COLUMNS',
'WORKFLOW_REPLIES'
) group by object_type, status    
union
select distinct object_type, status, count(status) as total,
case when status = 'INVALID' THEN 0
ELSE 522 END AS NUMBER_OF_OBJECTS_MUST_BE
 from user_objects where object_type='INDEX' and object_name in (
'ACTVT_EID_XX',
'ACTVT_TAID_CX',
'ALERT_PDC_XU',
'ALMSG_ALID_LC_CU',
'APPROV_RES_ELM_XXX',
'ASDEP_ASSID_XX',
'ASDEP_EID_CU',
'ASMTN_ASSID_XX',
'ASMTN_EID_CU',
'ASNACT_AID_XX',
'ASNACT_EID_XU',
'ASNACT_PID_XX',
'ASNEACT_AID_XX',
'ASNEACT_EID_XU',
'ASNEACT_PID_XX',
'ASNPROC_AID_XX',
'ASNPROC_EID_XU',
'ASNPROC_PID_XX',
'ASORG_ASSRES_XX',
'ASRES_ASSRES_XX',
'ASRT_PID_XX',
'ASSDOC_ENID_XU',
'ASSDOC_PJNWBID_XX',
'ASSDOC_PRK_RK_CX',
'ASSDOC_RK_XU',
'ASSETREF_ASID_XX',
'ASSETREF_EID_CU',
'ASSETRT_EID_CX',
'ASS_DPNXX_DID_XU',
'ASS_DPNXX_PSID_XX',
'ASS_DPNXX_SPID_XX',
'ASS_SCR_PROJ_XXX',
'ASTCC_AIPI_CU',
'ASTCC_CCID_XU',
'AS_ASSORG_XX',
'AS_ASSRES_XX',
'BDGTS_BID_XX',
'BDGTS_CID_XX',
'BDGTS_EBCID_CU',
'BUDGET_CHRGEID_XXX',
'CDSAC_EID_XU',
'CDSAC_FID_XX',
'CDSQP_EID_XU',
'CDSQP_QID_XU',
'CDS_RANK',
'CFTM_FFT_XU',
'CHAGB_BID_XX',
'CHAGB_EBCID_CU',
'CLDEX_CLR_CX',
'CLDEX_LID_ED_XU',
'CLDEX_XID_XX',
'CLDYR_EID_DY_CU',
'CLIDOC_ENID_XU',
'CLIDOC_PJNWBID_XX',
'CLIDOC_PRK_RK_CX',
'CLIDOC_RK_XU',
'CLIENTREF_CLID_XX',
'CLIENTREF_EID_CU',
'CLIENTRT_EID_CX',
'CLT_PID_XX',
'COSTB_BID_XX',
'COSTB_EBCID_CU',
'COSTS_FS_CODE_XXX',
'CRDPN_DID_XU',
'CRDPN_PPSPID_CX',
'CRDPN_PSID_XX',
'CRDPN_SPID_XX',
'CRIRT_EID_CX',
'CRIRT_PID_XX',
'CRI_CLIENT_XXX',
'CRI_DUP_XXX',
'CRI_SCR_XXX',
'CSTAPR_RID_XU',
'CURRENCY_EXC_CID',
'DCBLB_EID_CU',
'DEF_PTID',
'DEF_STATE_XU',
'DEP_PRED_UPD_XXX',
'DOCRT_EID_CX',
'DOCRT_PID_XX',
'DPNXX_DID_XU',
'DPNXX_PPSPID_CX',
'DPNXX_PSID_XX',
'DPNXX_SPID_XX',
'DTTSH_AID_CW_XY',
'DTTSH_AID_WF_XU',
'EW_TAID',
'EW_TID',
'EXTAM_EAID_XX',
'EXTAM_REF_XU',
'FSXMN_DTQ_XX',
'FSXMN_EID_XX',
'FSXMN_MID_XU',
'FSXMN_RDT_CX',
'FVACT_EID_XX',
'FVACT_RPJID_CX',
'FVACT_TC1',
'FVACT_TC2',
'FY_SD_FD',
'FY_Y_M',
'HASSD_EID_MJIRV_CU',
'HASSD_HID_XX',
'HASSD_RK_XX',
'HCLID_EID_MJIRV_CU',
'HCLID_HID_XX',
'HCLID_RK_XX',
'HIS_ASS_SCR_PROJ',
'HIS_PUB_SCR_PARE',
'HIS_PUB_SCR_PROJ',
'HORYIGN_HID_XX',
'HORYLIS_HID_XX',
'HPOOLD_EID_RV_CU',
'HPOOLD_HID_XX',
'HPOOLD_RK_XX',
'HPUB_SCR_PARRANK',
'HPUB_SCR_SCRID',
'HRD_EID_MJIRV_CU',
'HRD_HID_XX',
'HRD_NK_XA',
'HSASR_EID_CX',
'HSASR_HID_XX',
'HSASX_EID_RDT_CX',
'HSASX_HID_XX',
'HSASX_RK_XX',
'HSCLR_EID_CX',
'HSCLR_HID_XX',
'HSCLX_EID_RDT_CX',
'HSCLX_HID_XX',
'HSCLX_RK_XX',
'HSCRI_EID_RDT_CX',
'HSCRI_HID_XX',
'HSCRI_RK_XX',
'HSCRT_EID_CX',
'HSCRT_HID_XX',
'HSC_EID_XX',
'HSDCR_EID_CX',
'HSDCR_HID_XX',
'HSDOC_EID_MJIRV_CU',
'HSDOC_HID_XX',
'HSDOC_RK_XX',
'HSDSC_SCID_PDT_XX',
'HSPLX_EID_RDT_CX',
'HSPLX_HID_XX',
'HSPLX_RK_XX',
'HSRSC_HID_XX',
'HSRSC_RID_RDT_XX',
'HSSC_EID_XX',
'HSVNX_EID_RDT_CX',
'HSVNX_HID_XX',
'HSVNX_RK_XX',
'HSWBR_EID_CX',
'HSWBR_HID_XX',
'HSWBS_EID_RDT_CX',
'HSWBS_HID_XX',
'HSWBS_RK_XX',
'HVEND_EID_MJIRV_CU',
'HVEND_HID_XX',
'HVEND_RK_XX',
'H_ENID',
'IDX_ASC0',
'IDX_ASC1',
'IDX_ASC2',
'IDX_ASC3',
'IDX_ASC4',
'IDX_CAS0',
'IDX_EW0',
'IDX_PSC0',
'IDX_PSC1',
'IDX_PSC2',
'IDX_PSC3',
'IDX_RID06',
'IDX_TAS0',
'IDX_TAS1',
'LTKDYR_PJNID_BF',
'LTKDYR_PJNID_DY',
'LTKDYR_PJTAID_DYCU',
'LTKDYR_PRID_DYBF',
'LTKDYR_RID_BF_XX',
'MDSCAT_MCID_XU',
'NEXT_STATE_CNFG_XU',
'ORG_ASSORG_CU',
'OUTADPT_ENID_XU',
'OUTADPT_OCID_XU',
'OUTSTEP_ENID_XU',
'OUTSTEP_OCID_XU',
'PBB_EID_CU',
'PCB_EID_CU',
'PCC_RID_CCID_DT',
'PDA_EID_STS',
'PDET_LEV_LOCK_XXX',
'PD_PROJECT_XXX',
'PJALT_PJALID_CU',
'PJASG_PJRID_XX',
'PJASG_RPJID_CX',
'PJC_CHSE_XU',
'PLREF_EID_CU',
'PLREF_PLID_XX',
'PMO_CRI_AT_ID1',
'PMO_CRI_VIEW_ID1',
'PMO_DOC_VIEW_ID1',
'PMO_TMP_ASGNDRES_INFO_ID1',
'PMO_TMP_CDY_ID1',
'PMO_TMP_CPLNF_0001_ID1',
'PMO_TMP_CPLN_0001_ID1',
'PMO_TMP_CPLN_0002_ID1',
'PMO_TMP_CPLN_0003_ID1',
'PMO_TMP_CPLN_0005_ID1',
'PMO_TMP_CPLN_0007_ID1',
'PMO_TMP_CPLN_007A_ID1',
'PMO_TMP_CP_PRJ_ID1',
'PMO_TMP_EVERY_ID1',
'PMO_TMP_MD_ID1',
'PMO_TMP_PRJ_INFO_ID1',
'PMO_TMP_PROF_INFO_ID1',
'PMO_TMP_RESOURCE_DATA_ID1',
'PMO_TMP_RES_DATA_ID1',
'PMO_TMP_RES_ID1',
'PMO_TMP_RES_INFO_ID1',
'PMO_TMP_RES_RATE_ID1',
'PMO_TMP_RES_SET_ID1',
'PMO_TMP_RTA_ID1',
'PMO_TMP_SEARCH_ID1',
'PMO_TMP_TDY_ID1',
'PMO_WBS_VIEW_ID1',
'PNDMN_EID_SRC_XX',
'POOLDOC_ENID_XU',
'POOLDOC_PJNWBID_XX',
'POOLDOC_PRK_RK_CX',
'POOLDOC_RK_XU',
'POOL_DOM_ID_XXX',
'POOL_MGR_XXX',
'POOL_USRGROUP_XXX',
'PRCSX_EID_XU',
'PRC_PID_FID_DT',
'PRDEF_ENID_XU',
'PRDIC_EID_CU',
'PRFLS_PFID_XU',
'PRFLS_PJPFID_NM_CU',
'PRFLS_RLID_XX',
'PRJAORG_A_UX',
'PUB_SCR_PROJ_XXX',
'PUB_SCR_SCRID_XXX',
'PWROL_PJRID_XU',
'QUERY_QID_XX',
'RA_PJRTPRF',
'RA_RID_ETYPE',
'RCC_RID_CCID_DT',
'RESAORG_A_UX',
'RESORGF_UX',
'RINEX_EXID_XU',
'RINEX_RID_CX',
'RMASGN_PID_XX',
'RMASGN_PRID_XU',
'RMASGN_PRID_XU_02',
'RSASG_PJRTRPT_XX',
'RSASK_GKID_XU',
'RSASK_RLID',
'RSASK_SKID',
'RSASR_GRLID_XU',
'RSAS_EID_RT_RID_CX',
'RSAS_RAID_ET_XU',
'RSEDU_EDID_XU',
'RSEDU_RID_CX',
'RSEMH_EMID_XU',
'RSEMH_RID_CX',
'RSPJH_RID_CX',
'RSPJH_RPID_XU',
'RSRCS_FD_XX',
'RSRCS_LGN_PSW_XX',
'RSRCS_RID_XU',
'RSRDN_RDID_XU',
'RSRDN_RID_CX',
'RS_ASSRES_CU',
'RTSXX_RTID_CU',
'SCEN_TOCALC_XXX',
'SCHED_PRS_XU',
'SMRTS_RPJID_CX',
'SMRTS_TAID_WF_XU',
'SMRTS_WF_RDT_XX',
'STASS_ENID_XU',
'STASS_STID_XU',
'STCKL_ENID_XU',
'STCKL_SID_XX',
'STPART_ENID_XU',
'STPART_SID_XX',
'TACT_ENID_XU',
'TACT_RK_CU',
'TASSETA_ENID_XU',
'TASSETA_NID_XX',
'TASSETA_RK_CU',
'TASSETCF_ENID_XU',
'TASSETCF_RK_CU',
'TASSET_ENID_XU',
'TASSET_RK_CU',
'TASSOCU_NID_XX',
'TASS_NID_XX',
'TCALRS_NID_XX',
'TCATCOL_ENID_XU',
'TCATCOL_RK_CU',
'TCF_ENID_XU',
'TCF_RK_CU',
'TCHAODE_NID_XX',
'TCHCD_ACCC_CU',
'TCHCD_ENID_XU',
'TCHCD_RK_CU',
'TCLIDOC_NID_XX',
'TCLIENTA_ENID_XU',
'TCLIENTA_NID_XX',
'TCLIENTA_RK_CU',
'TCLIENTCF_ENID_XU',
'TCLIENTCF_RK_CU',
'TCLIENT_ENID_XU',
'TCLIENT_RK_CU',
'TCLI_NID_XX',
'TCLND_ENID_XU',
'TCLND_RK_CU',
'TCMPT_ENID_XU',
'TCMPT_RID_XX',
'TCMPT_RK_CU',
'TCNTC_ENID_XU',
'TCNTC_RK_CU',
'TCOMNCI_NID_XX',
'TCONS_NID_XX',
'TCONTR_BDENID_XU',
'TCONTR_BDID_XU',
'TCONTR_ENID_XU',
'TCONTR_RK_CU',
'TCPORT_ENID_XU',
'TCPORT_RK_CU',
'TCRIA_ENID_XX',
'TCRIA_NID_XX',
'TCRIA_RK_CU',
'TCRIX_ENID_XU',
'TCRIX_NVID_RK_XX',
'TCRIX_PJNWBID_XX',
'TCRIX_PRK_RK_CX',
'TCRIX_RK_XU',
'TCRIX_TPID_XX',
'TCSTS_ENRID_XU',
'TCSTS_NRTID_XX',
'TCSTS_RK_CU',
'TDATLDS_NID_XX',
'TDCMT_ENID_XU',
'TDCMT_PJNWBID_XX',
'TDCMT_PRK_RK_CX',
'TDCMT_RK_XU',
'TDCM_BLBL_XX',
'TDCM_TPID_XX',
'TDOCA_ENID_XU',
'TDOCA_NID_XX',
'TDOCA_RK_CU',
'TDOCCF_ENID_XU',
'TDOCCF_RK_CU',
'TDOCTS_NID_XX',
'TDOMN_ENID_XU',
'TDOMN_RK_CU',
'TDOM_NID_XX',
'TDTFL_EID_XU',
'TDTFL_RK_XU',
'TDTFL_TID_CX',
'TEXTA_ENID_XU',
'TEXTA_RK_CU',
'TFAC_NID_XX',
'TFCTR_ENID_XU',
'TFCTR_RK_CU',
'TGEOG_ENID_XU',
'TGEOG_RK_CU',
'TGEOHIE_NID_XX',
'TGLOSEC_NID_XX',
'TGLSC_ENID_XU',
'TGLSC_RK_CU',
'TIMDS_ENID_XU',
'TIMDS_RK_CU',
'TKASG_GID_XX',
'TKASG_OID_BF_XX',
'TKASG_PJRID_CX',
'TKASG_PJTRID_BF_CX',
'TKASG_RID_XX',
'TKASG_TAID_XX',
'TKASG_TRID_RT_XX',
'TKDYR_PJNID_BF_XX',
'TKDYR_PJNID_DY_XX',
'TKDYR_PJTAID_DY_CU',
'TKDYR_PRID_DYBF_XX',
'TKDYR_PTDY_XX',
'TKDYR_RID_BF_XX',
'TMDSCALF_ENID_XU',
'TMDSCALF_RK_CU',
'TMDS_ENID_XU',
'TMDS_RK_CU',
'TMTLO_ENID_XU',
'TMTLO_NID_XX',
'TMTLO_RK_CU',
'TMTOM_ENID_XU',
'TMTOM_OAID_XU',
'TMTOM_OUID_XU',
'TMT_CST',
'TNABX_ENID_XU',
'TNABX_RK_CU',
'TNAB_NID_XX',
'TNG_ATTR_GUID',
'TNG_ROLE_GUID',
'TORGN_ENID_XU',
'TORGN_FC_NID_XX',
'TORGN_NID_XX',
'TORGN_RK_CU',
'TPD_EID_CU',
'TPH_PRJFL',
'TPOLA_ENID_XU',
'TPOLA_NID_XX',
'TPOLA_RK_CU',
'TPOOCUM_NID_XX',
'TPOOL_ENID_XU',
'TPOOL_EXTREF_XX',
'TPOOL_RK_CU',
'TPOO_NID_XX',
'TPRJDTLX_EPJID_XU',
'TPRTF_ENID_XU',
'TPRTF_NID_XX',
'TPRTF_RK_CU',
'TPWFPC_PJPCID_XU',
'TRD_EID_XU',
'TRD_PJNWBID_XX',
'TRD_PRK_RK_CX',
'TRD_RK_XU',
'TRESCF_ENID_XU',
'TRESCF_RK_CU',
'TRESE_D_NID_XX',
'TRG_STATE_XU',
'TRPSC_ENID_XU',
'TRPSC_NID_XX',
'TRPSC_RK_CU',
'TSCEN_ENID_XU',
'TSCEN_FC_NID_XX',
'TSCEN_NID_XX',
'TSCEN_RK_CU',
'TSCRD_D_A_EID_XU',
'TSCRD_D_A_NID_XX',
'TSCRD_D_A_RK_CU',
'TSCRD_D_C_EID_XU',
'TSCRD_D_C_NID_XX',
'TSCRD_D_C_RK_CU',
'TSCRD_D_R_EID_XU',
'TSCRD_D_R_NID_XX',
'TSCRD_D_R_RK_CU',
'TSCRD_D_W_EID_XU',
'TSCRD_D_W_NID_XX',
'TSCRD_D_W_RK_CU',
'TSETS_NID_XX',
'TSG_EIDRANK',
'TTMCD_ENID_XU',
'TTMCD_FC_XX',
'TTMCD_NID_XX',
'TTMCD_RK_CU',
'TVENDOC_NID_XX',
'TVENDORA_ENID_XU',
'TVENDORA_NID_XX',
'TVENDORA_RK_CU',
'TVENDOR_ENID_XU',
'TVENDOR_RK_CU',
'TVEN_NID_XX',
'TWBSA_ENID_XX',
'TWBSA_NID_XX',
'TWBSA_RK_CU',
'TWBSCF_ENID_XU',
'TWBSCF_RK_CU',
'TWBSX_EID_XU',
'TWBSX_FC_XX',
'TWBSX_LV_XXXX',
'TWBSX_NID_XX',
'TWBSX_PJID_XX',
'TWBSX_RK_CU',
'TWBSX_STG_XX',
'TWBSX_TPID_XX',
'TWFCL_ENID_XU',
'TWFCL_NID_XX',
'TWFCL_RK_CU',
'TWKFL_EID_ST_CD_XX',
'TWKFL_ENI_EN_TI_XX',
'TWKFL_NID_XX',
'TWKFL_RK_CU',
'TWKFL_UID_WST_XX',
'TWKFQ_ENID_XU',
'TWKFQ_RK_CU',
'USRSN_RID_XX',
'USRSN_SSID_XX',
'VENDOC_ENID_XU',
'VENDOC_PJNWBID_XX',
'VENDOC_PRK_RK_CX',
'VENDOC_RK_XU',
'VENDORREF_EID_CU',
'VENDORREF_VNID_XX',
'WBSRT_EID_CX',
'WBSRT_PID_XX',
'WBS_POOLID',
'WKFA_WAID_XU',
'WKFCL_WCID_XU',
'WKFMI_WMOID_XU',
'WKFOT_WOAID_XU',
'WKFOT_WOID_XU',
'WKFPCOL_ENID_XU',
'WKFPCOL_RK_CU',
'WKFRL_ENID_XU',
'WKFRP_EID_CX',
'WKFRP_RID_XX',
'WKFRP_WID_XU',
'WORKF_EXPIRES_XXX',
'PMO_PORTAL_PGCNT_IDX1', 
'PMO_PORTAL_PGDET_IDX1',
'IND_PMOPVTW_PRJID',
'IND_PMOPVTW_TSK_ID',
'IND_PMOPVT_RES_RID',
'IND_PMOPVTW_PRJID_TSK_ID',
'IND_PMOPVT_FC',
'PMO_DOC_VIEW_ID2',
'PMO_DOC_VIEW_ID3',
'PMO_DOC_VIEW_ID4',
'PMO_DOC_VIEW_ID5',
'PMO_DOC_VIEW_ID6',
'TMP_DOC_VIEW_PROJ_ID1',
'PMO_CRI_DOC_VRK',
'PMO_TMP_PROJECTS_ID1')
group by object_type, status    order by object_type; 
spool off
exit;

