
--/********************************************************************
--# (C) Copyright IBM Corp.  2005-2006
--# The source code for this program is not published or otherwise
--# divested of its trade secrets, irrespective of what has been
--# deposited with the U.S. Copyright Office.
--#********************************************************************/

WHENEVER SQLERROR EXIT SQL.SQLCODE
SET ECHO OFF


define sysp=&1
define own=&2
define con=&3
-- define conp=&CON_PASS

conn &sysp as sysdba

spool logs/createuserrole.log

-- Create PMO_USER_ROLE
DROP ROLE PMO_USER_ROLE;
CREATE ROLE PMO_USER_ROLE;
GRANT PMO_USER_ROLE TO &con;

spool off
spool logs/createpmosecu.log

conn &own

DECLARE
-- XaiUseTabPriDeCheck
cursor curtab is select 'GRANT UPDATE,INSERT,DELETE,SELECT ON '|| table_name || ' TO PMO_USER_ROLE' as COMMAND
    from user_tables order by table_name;  
cursor curlib is select 'GRANT EXECUTE ON '||object_name|| ' TO PMO_USER_ROLE' as COMMAND
    from user_objects where object_type in ('FUNCTION','PACKAGE','TYPE','PROCEDURE') 
    and status='VALID';
cursor curseq is select 'GRANT SELECT ON '||object_name|| ' TO PMO_USER_ROLE' as COMMAND
    from user_objects where object_type = 'SEQUENCE';

BEGIN
for tabrec in curtab loop
    execute immediate tabrec.command;
end loop;
for librec in curlib loop
    execute immediate librec.command;    	
end loop;
for seqrec in curseq loop
    execute immediate seqrec.command;
end loop;
commit;

END;
/
spool off;
exit;
