
--/********************************************************************
--# (C) Copyright IBM Corp.  2005-2006
--# The source code for this program is not published or otherwise
--# divested of its trade secrets, irrespective of what has been
--# deposited with the U.S. Copyright Office.
--#********************************************************************/

DECLARE
cursor curobj is select 'DROP '||object_type|| ' '||object_name as COMMAND
	from user_objects 
	where object_type ='TABLE' and temporary='Y' ORDER BY object_type;	
BEGIN
    
    for objrec in curobj loop
        dbms_output.put_line('CMD='||objrec.command);
    	execute immediate objrec.command;    	
    end loop;      
    commit;
END;
/
